﻿using Sugar.Enties;
using SqlSugar;
using System;
using System.Collections.Generic;
/// <summary>
/// 获取系统配置
/// </summary>
public class ConfigItemValueManager : DbContext<ConfigItemValue>
{

    //当前类已经继承了 DbContext增、删、查、改的方法

    //这里面写的代码不会给覆盖,如果要重新生成请删除 ConfigItemValueManager.cs
    /// <summary>
    /// 获取系统配置值
    /// </summary>
    /// <param name="name"></param>
    /// <param name="unitcode"></param>
    /// <returns></returns>
    public string GetConfigItemValue(string name, string unitcode)
    {
        string sql = "select value from ConfigItemValue where name=@name and unitcode=@unitcode";
        var value = Db.Ado.GetString(sql, new { name = name, unitcode = unitcode });
        return value;
    }

    /// <summary>
    /// 根据配置项目名获取项目配置值
    /// </summary>
    /// <param name="name"></param>
    /// <returns></returns>
    public string GetConfigItemValue(string name)
    {
        string sql = "select value from ConfigItemValue where name=@name";
        var value = Db.Ado.GetString(sql, new { name = name });
        return value;
    }

    #region 附件相关
    /// <summary>
    /// 附件存储模式
    /// </summary>
    /// <returns></returns>
    public string AttachmentSavePattern
    {
        get
        {
            return GetConfigItemValue("基础模块-附件存储设置-存储模式");
        }
    }
    /// <summary>
    /// 附件文件存储目录
    /// </summary>
    public string AttachmentSavePath
    {
        get
        {
            return GetConfigItemValue("基础模块-附件存储设置-文件存储目录");
        }
    }
    /// <summary>
    /// 附件文件目录模式
    /// </summary>
    public string AttachmentPathPattern
    {
        get
        {
            return GetConfigItemValue("基础模块-附件存储设置-文件目录模式");
        }
    }
    #endregion



}
