﻿using Sugar.Enties;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using WebAPIBase.Utils;
public class DbContext<T> where T : class, new()
{
    private static NLog.Logger logger = NLog.LogManager.GetCurrentClassLogger();
    public DbContext()
    {
        //logger.Info($"connectionstring:{AppSettingsHelper.Configuration["Logging:AppSettings:ConnectionString"]}");
        Db = new SqlSugarClient(new ConnectionConfig()
        {
            ConnectionString = AppSettingsHelper.Configuration["Logging:AppSettings:ConnectionString"],
            DbType = DbType.SqlServer,
            InitKeyType = InitKeyType.Attribute,//从特性读取主键和自增列信息
            IsAutoCloseConnection = true,//开启自动释放模式和EF原理一样我就不多解释了

        }); ; ; ;
        //调式代码 用来打印SQL 
        Db.Aop.OnLogExecuting = (sql, pars) =>
        {
            Console.WriteLine(sql + "\r\n" +
                Db.Utilities.SerializeObject(pars.ToDictionary(it => it.ParameterName, it => it.Value)));
            Console.WriteLine();
        };

    }
    //注意：不能写成静态的
    public SqlSugarClient Db;//用来处理事务多表查询和复杂的操作
    public SimpleClient<T> CurrentDb { get { return Db.GetSimpleClient<T>(); } }//用来操作当前表的数据

    public SimpleClient<SaCustomColor> SaCustomColorDb { get { return Db.GetSimpleClient<SaCustomColor>(); } }//用来处理SaCustomColor表的常用操作
    public SimpleClient<SaRentRoomVirtual> SaRentRoomVirtualDb { get { return Db.GetSimpleClient<SaRentRoomVirtual>(); } }//用来处理SaRentRoomVirtual表的常用操作
    public SimpleClient<SaRentPumpContractSet> SaRentPumpContractSetDb { get { return Db.GetSimpleClient<SaRentPumpContractSet>(); } }//用来处理SaRentPumpContractSet表的常用操作
    public SimpleClient<LicenceInfo> LicenceInfoDb { get { return Db.GetSimpleClient<LicenceInfo>(); } }//用来处理LicenceInfo表的常用操作
    public SimpleClient<SaRentReRoomPayPlan> SaRentReRoomPayPlanDb { get { return Db.GetSimpleClient<SaRentReRoomPayPlan>(); } }//用来处理SaRentReRoomPayPlan表的常用操作
    public SimpleClient<SaCardLoss> SaCardLossDb { get { return Db.GetSimpleClient<SaCardLoss>(); } }//用来处理SaCardLoss表的常用操作
    public SimpleClient<PaymentItemBuilding> PaymentItemBuildingDb { get { return Db.GetSimpleClient<PaymentItemBuilding>(); } }//用来处理PaymentItemBuilding表的常用操作
    public SimpleClient<SaPrTransfer> SaPrTransferDb { get { return Db.GetSimpleClient<SaPrTransfer>(); } }//用来处理SaPrTransfer表的常用操作
    public SimpleClient<SystemUserForWx> SystemUserForWxDb { get { return Db.GetSimpleClient<SystemUserForWx>(); } }//用来处理SystemUserForWx表的常用操作
    public SimpleClient<pmJGDeductMoney> pmJGDeductMoneyDb { get { return Db.GetSimpleClient<pmJGDeductMoney>(); } }//用来处理pmJGDeductMoney表的常用操作
    public SimpleClient<SaMemberLevel> SaMemberLevelDb { get { return Db.GetSimpleClient<SaMemberLevel>(); } }//用来处理SaMemberLevel表的常用操作
    public SimpleClient<SaRentContractObject> SaRentContractObjectDb { get { return Db.GetSimpleClient<SaRentContractObject>(); } }//用来处理SaRentContractObject表的常用操作
    public SimpleClient<PurchaseBidding> PurchaseBiddingDb { get { return Db.GetSimpleClient<PurchaseBidding>(); } }//用来处理PurchaseBidding表的常用操作
    public SimpleClient<SaRentReceiptVATDtl> SaRentReceiptVATDtlDb { get { return Db.GetSimpleClient<SaRentReceiptVATDtl>(); } }//用来处理SaRentReceiptVATDtl表的常用操作
    public SimpleClient<StationFunction> StationFunctionDb { get { return Db.GetSimpleClient<StationFunction>(); } }//用来处理StationFunction表的常用操作
    public SimpleClient<BiddingGame> BiddingGameDb { get { return Db.GetSimpleClient<BiddingGame>(); } }//用来处理BiddingGame表的常用操作
    public SimpleClient<SaRentRoomPriceSet> SaRentRoomPriceSetDb { get { return Db.GetSimpleClient<SaRentRoomPriceSet>(); } }//用来处理SaRentRoomPriceSet表的常用操作
    public SimpleClient<SaMeterChargeSet> SaMeterChargeSetDb { get { return Db.GetSimpleClient<SaMeterChargeSet>(); } }//用来处理SaMeterChargeSet表的常用操作
    public SimpleClient<SaRentReRoomObject> SaRentReRoomObjectDb { get { return Db.GetSimpleClient<SaRentReRoomObject>(); } }//用来处理SaRentReRoomObject表的常用操作
    public SimpleClient<EfInvo> EfInvoDb { get { return Db.GetSimpleClient<EfInvo>(); } }//用来处理EfInvo表的常用操作
    public SimpleClient<BudgetAdjustItem> BudgetAdjustItemDb { get { return Db.GetSimpleClient<BudgetAdjustItem>(); } }//用来处理BudgetAdjustItem表的常用操作
    public SimpleClient<pmSupplierModify> pmSupplierModifyDb { get { return Db.GetSimpleClient<pmSupplierModify>(); } }//用来处理pmSupplierModify表的常用操作
    public SimpleClient<pmManagementDevelop> pmManagementDevelopDb { get { return Db.GetSimpleClient<pmManagementDevelop>(); } }//用来处理pmManagementDevelop表的常用操作
    public SimpleClient<prOutContractType> prOutContractTypeDb { get { return Db.GetSimpleClient<prOutContractType>(); } }//用来处理prOutContractType表的常用操作
    public SimpleClient<MaterialOut> MaterialOutDb { get { return Db.GetSimpleClient<MaterialOut>(); } }//用来处理MaterialOut表的常用操作
    public SimpleClient<RemindObject> RemindObjectDb { get { return Db.GetSimpleClient<RemindObject>(); } }//用来处理RemindObject表的常用操作
    public SimpleClient<SaRentContractModiLog> SaRentContractModiLogDb { get { return Db.GetSimpleClient<SaRentContractModiLog>(); } }//用来处理SaRentContractModiLog表的常用操作
    public SimpleClient<CBSModule> CBSModuleDb { get { return Db.GetSimpleClient<CBSModule>(); } }//用来处理CBSModule表的常用操作
    public SimpleClient<pmInvoicePayment> pmInvoicePaymentDb { get { return Db.GetSimpleClient<pmInvoicePayment>(); } }//用来处理pmInvoicePayment表的常用操作
    public SimpleClient<StationFunctionArea> StationFunctionAreaDb { get { return Db.GetSimpleClient<StationFunctionArea>(); } }//用来处理StationFunctionArea表的常用操作
    public SimpleClient<SaRentRoomPriceSetDtl> SaRentRoomPriceSetDtlDb { get { return Db.GetSimpleClient<SaRentRoomPriceSetDtl>(); } }//用来处理SaRentRoomPriceSetDtl表的常用操作
    public SimpleClient<CostBudgetContract> CostBudgetContractDb { get { return Db.GetSimpleClient<CostBudgetContract>(); } }//用来处理CostBudgetContract表的常用操作
    public SimpleClient<SaRentReRoomContract> SaRentReRoomContractDb { get { return Db.GetSimpleClient<SaRentReRoomContract>(); } }//用来处理SaRentReRoomContract表的常用操作
    public SimpleClient<Log> LogDb { get { return Db.GetSimpleClient<Log>(); } }//用来处理Log表的常用操作
    public SimpleClient<WBS> WBSDb { get { return Db.GetSimpleClient<WBS>(); } }//用来处理WBS表的常用操作
    public SimpleClient<FeedBack> FeedBackDb { get { return Db.GetSimpleClient<FeedBack>(); } }//用来处理FeedBack表的常用操作
    public SimpleClient<BiddingGrade> BiddingGradeDb { get { return Db.GetSimpleClient<BiddingGrade>(); } }//用来处理BiddingGrade表的常用操作
    public SimpleClient<MaterialIn> MaterialInDb { get { return Db.GetSimpleClient<MaterialIn>(); } }//用来处理MaterialIn表的常用操作
    public SimpleClient<RemindStrategy> RemindStrategyDb { get { return Db.GetSimpleClient<RemindStrategy>(); } }//用来处理RemindStrategy表的常用操作
    public SimpleClient<SaFitmentInspect> SaFitmentInspectDb { get { return Db.GetSimpleClient<SaFitmentInspect>(); } }//用来处理SaFitmentInspect表的常用操作
    public SimpleClient<WorkFlowTask> WorkFlowTaskDb { get { return Db.GetSimpleClient<WorkFlowTask>(); } }//用来处理WorkFlowTask表的常用操作
    public SimpleClient<pmProfitSolutionDtl> pmProfitSolutionDtlDb { get { return Db.GetSimpleClient<pmProfitSolutionDtl>(); } }//用来处理pmProfitSolutionDtl表的常用操作
    public SimpleClient<AttachMent> AttachMentDb { get { return Db.GetSimpleClient<AttachMent>(); } }//用来处理AttachMent表的常用操作
    public SimpleClient<SaWordTemplate> SaWordTemplateDb { get { return Db.GetSimpleClient<SaWordTemplate>(); } }//用来处理SaWordTemplate表的常用操作
    public SimpleClient<BuildingSubjectSet> BuildingSubjectSetDb { get { return Db.GetSimpleClient<BuildingSubjectSet>(); } }//用来处理BuildingSubjectSet表的常用操作
    public SimpleClient<prMeterType> prMeterTypeDb { get { return Db.GetSimpleClient<prMeterType>(); } }//用来处理prMeterType表的常用操作
    public SimpleClient<ArticleBinessRelation> ArticleBinessRelationDb { get { return Db.GetSimpleClient<ArticleBinessRelation>(); } }//用来处理ArticleBinessRelation表的常用操作
    public SimpleClient<prChargeChange> prChargeChangeDb { get { return Db.GetSimpleClient<prChargeChange>(); } }//用来处理prChargeChange表的常用操作
    public SimpleClient<prSrvSheetMaster> prSrvSheetMasterDb { get { return Db.GetSimpleClient<prSrvSheetMaster>(); } }//用来处理prSrvSheetMaster表的常用操作
    public SimpleClient<SystemGroupStation> SystemGroupStationDb { get { return Db.GetSimpleClient<SystemGroupStation>(); } }//用来处理SystemGroupStation表的常用操作
    public SimpleClient<MaterialInDtl> MaterialInDtlDb { get { return Db.GetSimpleClient<MaterialInDtl>(); } }//用来处理MaterialInDtl表的常用操作
    public SimpleClient<ContractCostCash> ContractCostCashDb { get { return Db.GetSimpleClient<ContractCostCash>(); } }//用来处理ContractCostCash表的常用操作
    public SimpleClient<SaFitmentInspectDtl> SaFitmentInspectDtlDb { get { return Db.GetSimpleClient<SaFitmentInspectDtl>(); } }//用来处理SaFitmentInspectDtl表的常用操作
    public SimpleClient<SaProject> SaProjectDb { get { return Db.GetSimpleClient<SaProject>(); } }//用来处理SaProject表的常用操作
    public SimpleClient<pmCostSplitContractCost> pmCostSplitContractCostDb { get { return Db.GetSimpleClient<pmCostSplitContractCost>(); } }//用来处理pmCostSplitContractCost表的常用操作
    public SimpleClient<PBSType> PBSTypeDb { get { return Db.GetSimpleClient<PBSType>(); } }//用来处理PBSType表的常用操作
    public SimpleClient<SaPrintTemplate> SaPrintTemplateDb { get { return Db.GetSimpleClient<SaPrintTemplate>(); } }//用来处理SaPrintTemplate表的常用操作
    public SimpleClient<BuildingFloor> BuildingFloorDb { get { return Db.GetSimpleClient<BuildingFloor>(); } }//用来处理BuildingFloor表的常用操作
    public SimpleClient<SaMeterChargeSetDtl> SaMeterChargeSetDtlDb { get { return Db.GetSimpleClient<SaMeterChargeSetDtl>(); } }//用来处理SaMeterChargeSetDtl表的常用操作
    public SimpleClient<SaPayModeDtlPre> SaPayModeDtlPreDb { get { return Db.GetSimpleClient<SaPayModeDtlPre>(); } }//用来处理SaPayModeDtlPre表的常用操作
    public SimpleClient<prDevRepairMat> prDevRepairMatDb { get { return Db.GetSimpleClient<prDevRepairMat>(); } }//用来处理prDevRepairMat表的常用操作
    public SimpleClient<prHourStandardItem> prHourStandardItemDb { get { return Db.GetSimpleClient<prHourStandardItem>(); } }//用来处理prHourStandardItem表的常用操作
    public SimpleClient<UFProject> UFProjectDb { get { return Db.GetSimpleClient<UFProject>(); } }//用来处理UFProject表的常用操作
    public SimpleClient<MaterialOutDtl> MaterialOutDtlDb { get { return Db.GetSimpleClient<MaterialOutDtl>(); } }//用来处理MaterialOutDtl表的常用操作
    public SimpleClient<SaMeterShareC> SaMeterShareCDb { get { return Db.GetSimpleClient<SaMeterShareC>(); } }//用来处理SaMeterShareC表的常用操作
    public SimpleClient<SaRentGrowPeriod> SaRentGrowPeriodDb { get { return Db.GetSimpleClient<SaRentGrowPeriod>(); } }//用来处理SaRentGrowPeriod表的常用操作
    public SimpleClient<PurchaseBiddingBook> PurchaseBiddingBookDb { get { return Db.GetSimpleClient<PurchaseBiddingBook>(); } }//用来处理PurchaseBiddingBook表的常用操作
    public SimpleClient<ReceiptAct> ReceiptActDb { get { return Db.GetSimpleClient<ReceiptAct>(); } }//用来处理ReceiptAct表的常用操作
    public SimpleClient<TaskContract> TaskContractDb { get { return Db.GetSimpleClient<TaskContract>(); } }//用来处理TaskContract表的常用操作
    public SimpleClient<SaAreaInspect> SaAreaInspectDb { get { return Db.GetSimpleClient<SaAreaInspect>(); } }//用来处理SaAreaInspect表的常用操作
    public SimpleClient<BuildingFloorProgress> BuildingFloorProgressDb { get { return Db.GetSimpleClient<BuildingFloorProgress>(); } }//用来处理BuildingFloorProgress表的常用操作
    public SimpleClient<CostBudgetDtlHis> CostBudgetDtlHisDb { get { return Db.GetSimpleClient<CostBudgetDtlHis>(); } }//用来处理CostBudgetDtlHis表的常用操作
    public SimpleClient<pmProgressCalendarWeekDay> pmProgressCalendarWeekDayDb { get { return Db.GetSimpleClient<pmProgressCalendarWeekDay>(); } }//用来处理pmProgressCalendarWeekDay表的常用操作
    public SimpleClient<HeSuanClient> HeSuanClientDb { get { return Db.GetSimpleClient<HeSuanClient>(); } }//用来处理HeSuanClient表的常用操作
    public SimpleClient<SupplierSurveyOpinion> SupplierSurveyOpinionDb { get { return Db.GetSimpleClient<SupplierSurveyOpinion>(); } }//用来处理SupplierSurveyOpinion表的常用操作
    public SimpleClient<NoticeRole> NoticeRoleDb { get { return Db.GetSimpleClient<NoticeRole>(); } }//用来处理NoticeRole表的常用操作
    public SimpleClient<pmJGDeductMoneyDtl> pmJGDeductMoneyDtlDb { get { return Db.GetSimpleClient<pmJGDeductMoneyDtl>(); } }//用来处理pmJGDeductMoneyDtl表的常用操作
    public SimpleClient<Resource> ResourceDb { get { return Db.GetSimpleClient<Resource>(); } }//用来处理Resource表的常用操作
    public SimpleClient<SaRentReturn> SaRentReturnDb { get { return Db.GetSimpleClient<SaRentReturn>(); } }//用来处理SaRentReturn表的常用操作
    public SimpleClient<ImplementDoc> ImplementDocDb { get { return Db.GetSimpleClient<ImplementDoc>(); } }//用来处理ImplementDoc表的常用操作
    public SimpleClient<ReceiptItem> ReceiptItemDb { get { return Db.GetSimpleClient<ReceiptItem>(); } }//用来处理ReceiptItem表的常用操作
    public SimpleClient<MarketPlanAudit> MarketPlanAuditDb { get { return Db.GetSimpleClient<MarketPlanAudit>(); } }//用来处理MarketPlanAudit表的常用操作
    public SimpleClient<SaAreaInspectPoint> SaAreaInspectPointDb { get { return Db.GetSimpleClient<SaAreaInspectPoint>(); } }//用来处理SaAreaInspectPoint表的常用操作
    public SimpleClient<SaReRoom> SaReRoomDb { get { return Db.GetSimpleClient<SaReRoom>(); } }//用来处理SaReRoom表的常用操作
    public SimpleClient<PrRoom> PrRoomDb { get { return Db.GetSimpleClient<PrRoom>(); } }//用来处理PrRoom表的常用操作
    public SimpleClient<pmProgressCalendarException> pmProgressCalendarExceptionDb { get { return Db.GetSimpleClient<pmProgressCalendarException>(); } }//用来处理pmProgressCalendarException表的常用操作
    public SimpleClient<WBSTemplet> WBSTempletDb { get { return Db.GetSimpleClient<WBSTemplet>(); } }//用来处理WBSTemplet表的常用操作
    public SimpleClient<Grade> GradeDb { get { return Db.GetSimpleClient<Grade>(); } }//用来处理Grade表的常用操作
    public SimpleClient<BiddingGradeConsiderDiathesis> BiddingGradeConsiderDiathesisDb { get { return Db.GetSimpleClient<BiddingGradeConsiderDiathesis>(); } }//用来处理BiddingGradeConsiderDiathesis表的常用操作
    public SimpleClient<Payout> PayoutDb { get { return Db.GetSimpleClient<Payout>(); } }//用来处理Payout表的常用操作
    public SimpleClient<PrManagement> PrManagementDb { get { return Db.GetSimpleClient<PrManagement>(); } }//用来处理PrManagement表的常用操作
    public SimpleClient<SaRentHelpPayType> SaRentHelpPayTypeDb { get { return Db.GetSimpleClient<SaRentHelpPayType>(); } }//用来处理SaRentHelpPayType表的常用操作
    public SimpleClient<Cash_Message> Cash_MessageDb { get { return Db.GetSimpleClient<Cash_Message>(); } }//用来处理Cash_Message表的常用操作
    public SimpleClient<ReceiptActItem> ReceiptActItemDb { get { return Db.GetSimpleClient<ReceiptActItem>(); } }//用来处理ReceiptActItem表的常用操作
    public SimpleClient<AttrSet> AttrSetDb { get { return Db.GetSimpleClient<AttrSet>(); } }//用来处理AttrSet表的常用操作
    public SimpleClient<SaPriceSubject> SaPriceSubjectDb { get { return Db.GetSimpleClient<SaPriceSubject>(); } }//用来处理SaPriceSubject表的常用操作
    public SimpleClient<SaPerformance> SaPerformanceDb { get { return Db.GetSimpleClient<SaPerformance>(); } }//用来处理SaPerformance表的常用操作
    public SimpleClient<SaRentReRoomGrowPeriod> SaRentReRoomGrowPeriodDb { get { return Db.GetSimpleClient<SaRentReRoomGrowPeriod>(); } }//用来处理SaRentReRoomGrowPeriod表的常用操作
    public SimpleClient<PayoutMaterialInDtl> PayoutMaterialInDtlDb { get { return Db.GetSimpleClient<PayoutMaterialInDtl>(); } }//用来处理PayoutMaterialInDtl表的常用操作
    public SimpleClient<SysCodeRule> SysCodeRuleDb { get { return Db.GetSimpleClient<SysCodeRule>(); } }//用来处理SysCodeRule表的常用操作
    public SimpleClient<AccessRange> AccessRangeDb { get { return Db.GetSimpleClient<AccessRange>(); } }//用来处理AccessRange表的常用操作
    public SimpleClient<QualityPrice> QualityPriceDb { get { return Db.GetSimpleClient<QualityPrice>(); } }//用来处理QualityPrice表的常用操作
    public SimpleClient<pmPayoutJGDeductMoney> pmPayoutJGDeductMoneyDb { get { return Db.GetSimpleClient<pmPayoutJGDeductMoney>(); } }//用来处理pmPayoutJGDeductMoney表的常用操作
    public SimpleClient<JinTaiRentGrowPeriod> JinTaiRentGrowPeriodDb { get { return Db.GetSimpleClient<JinTaiRentGrowPeriod>(); } }//用来处理JinTaiRentGrowPeriod表的常用操作
    public SimpleClient<SaRentBillHelp> SaRentBillHelpDb { get { return Db.GetSimpleClient<SaRentBillHelp>(); } }//用来处理SaRentBillHelp表的常用操作
    public SimpleClient<prOutContract> prOutContractDb { get { return Db.GetSimpleClient<prOutContract>(); } }//用来处理prOutContract表的常用操作
    public SimpleClient<BankAccountSub> BankAccountSubDb { get { return Db.GetSimpleClient<BankAccountSub>(); } }//用来处理BankAccountSub表的常用操作
    public SimpleClient<TaskExecute> TaskExecuteDb { get { return Db.GetSimpleClient<TaskExecute>(); } }//用来处理TaskExecute表的常用操作
    public SimpleClient<SaRentVoucher> SaRentVoucherDb { get { return Db.GetSimpleClient<SaRentVoucher>(); } }//用来处理SaRentVoucher表的常用操作
    public SimpleClient<SaContractFee> SaContractFeeDb { get { return Db.GetSimpleClient<SaContractFee>(); } }//用来处理SaContractFee表的常用操作
    public SimpleClient<prMeter> prMeterDb { get { return Db.GetSimpleClient<prMeter>(); } }//用来处理prMeter表的常用操作
    public SimpleClient<pmDepositGet> pmDepositGetDb { get { return Db.GetSimpleClient<pmDepositGet>(); } }//用来处理pmDepositGet表的常用操作
    public SimpleClient<WorkFlowAct> WorkFlowActDb { get { return Db.GetSimpleClient<WorkFlowAct>(); } }//用来处理WorkFlowAct表的常用操作
    public SimpleClient<SupplierTitle> SupplierTitleDb { get { return Db.GetSimpleClient<SupplierTitle>(); } }//用来处理SupplierTitle表的常用操作
    public SimpleClient<UFUnit> UFUnitDb { get { return Db.GetSimpleClient<UFUnit>(); } }//用来处理UFUnit表的常用操作
    public SimpleClient<prOutAppraisal> prOutAppraisalDb { get { return Db.GetSimpleClient<prOutAppraisal>(); } }//用来处理prOutAppraisal表的常用操作
    public SimpleClient<SaClientImport> SaClientImportDb { get { return Db.GetSimpleClient<SaClientImport>(); } }//用来处理SaClientImport表的常用操作
    public SimpleClient<SaRentReSales> SaRentReSalesDb { get { return Db.GetSimpleClient<SaRentReSales>(); } }//用来处理SaRentReSales表的常用操作
    public SimpleClient<WorkFlowTaskActor> WorkFlowTaskActorDb { get { return Db.GetSimpleClient<WorkFlowTaskActor>(); } }//用来处理WorkFlowTaskActor表的常用操作
    public SimpleClient<saDiscountRecords> saDiscountRecordsDb { get { return Db.GetSimpleClient<saDiscountRecords>(); } }//用来处理saDiscountRecords表的常用操作
    public SimpleClient<prHouseHoldsMaster> prHouseHoldsMasterDb { get { return Db.GetSimpleClient<prHouseHoldsMaster>(); } }//用来处理prHouseHoldsMaster表的常用操作
    public SimpleClient<SaInspectGrade> SaInspectGradeDb { get { return Db.GetSimpleClient<SaInspectGrade>(); } }//用来处理SaInspectGrade表的常用操作
    public SimpleClient<SaSubmitHouseBalance> SaSubmitHouseBalanceDb { get { return Db.GetSimpleClient<SaSubmitHouseBalance>(); } }//用来处理SaSubmitHouseBalance表的常用操作
    public SimpleClient<SaInspectModel> SaInspectModelDb { get { return Db.GetSimpleClient<SaInspectModel>(); } }//用来处理SaInspectModel表的常用操作
    public SimpleClient<pmDepositReturn> pmDepositReturnDb { get { return Db.GetSimpleClient<pmDepositReturn>(); } }//用来处理pmDepositReturn表的常用操作
    public SimpleClient<prDevRepairArt> prDevRepairArtDb { get { return Db.GetSimpleClient<prDevRepairArt>(); } }//用来处理prDevRepairArt表的常用操作
    public SimpleClient<GradeConsiderDepartment> GradeConsiderDepartmentDb { get { return Db.GetSimpleClient<GradeConsiderDepartment>(); } }//用来处理GradeConsiderDepartment表的常用操作
    public SimpleClient<NoticeUser> NoticeUserDb { get { return Db.GetSimpleClient<NoticeUser>(); } }//用来处理NoticeUser表的常用操作
    public SimpleClient<prOutContractDtl> prOutContractDtlDb { get { return Db.GetSimpleClient<prOutContractDtl>(); } }//用来处理prOutContractDtl表的常用操作
    public SimpleClient<SysBusinessLog> SysBusinessLogDb { get { return Db.GetSimpleClient<SysBusinessLog>(); } }//用来处理SysBusinessLog表的常用操作
    public SimpleClient<SaRentRenewal> SaRentRenewalDb { get { return Db.GetSimpleClient<SaRentRenewal>(); } }//用来处理SaRentRenewal表的常用操作
    public SimpleClient<prChargeSubject> prChargeSubjectDb { get { return Db.GetSimpleClient<prChargeSubject>(); } }//用来处理prChargeSubject表的常用操作
    public SimpleClient<SaDiscountRemove> SaDiscountRemoveDb { get { return Db.GetSimpleClient<SaDiscountRemove>(); } }//用来处理SaDiscountRemove表的常用操作
    public SimpleClient<SaHeSuanCash> SaHeSuanCashDb { get { return Db.GetSimpleClient<SaHeSuanCash>(); } }//用来处理SaHeSuanCash表的常用操作
    public SimpleClient<SaReClient> SaReClientDb { get { return Db.GetSimpleClient<SaReClient>(); } }//用来处理SaReClient表的常用操作
    public SimpleClient<SaContractAttach> SaContractAttachDb { get { return Db.GetSimpleClient<SaContractAttach>(); } }//用来处理SaContractAttach表的常用操作
    public SimpleClient<CostBudgetSet> CostBudgetSetDb { get { return Db.GetSimpleClient<CostBudgetSet>(); } }//用来处理CostBudgetSet表的常用操作
    public SimpleClient<Trouble> TroubleDb { get { return Db.GetSimpleClient<Trouble>(); } }//用来处理Trouble表的常用操作
    public SimpleClient<HeSuanProject> HeSuanProjectDb { get { return Db.GetSimpleClient<HeSuanProject>(); } }//用来处理HeSuanProject表的常用操作
    public SimpleClient<ArticleList> ArticleListDb { get { return Db.GetSimpleClient<ArticleList>(); } }//用来处理ArticleList表的常用操作
    public SimpleClient<prOperateContract> prOperateContractDb { get { return Db.GetSimpleClient<prOperateContract>(); } }//用来处理prOperateContract表的常用操作
    public SimpleClient<prOutAppraisalDtl> prOutAppraisalDtlDb { get { return Db.GetSimpleClient<prOutAppraisalDtl>(); } }//用来处理prOutAppraisalDtl表的常用操作

    public SimpleClient<Model> ModelDb { get { return Db.GetSimpleClient<Model>(); } }//用来处理Model表的常用操作
    public SimpleClient<PurchaseContract> PurchaseContractDb { get { return Db.GetSimpleClient<PurchaseContract>(); } }//用来处理PurchaseContract表的常用操作
    public SimpleClient<SaRentPaymentDtl> SaRentPaymentDtlDb { get { return Db.GetSimpleClient<SaRentPaymentDtl>(); } }//用来处理SaRentPaymentDtl表的常用操作
    public SimpleClient<prStockTaking> prStockTakingDb { get { return Db.GetSimpleClient<prStockTaking>(); } }//用来处理prStockTaking表的常用操作
    public SimpleClient<SaRentBillTemplate> SaRentBillTemplateDb { get { return Db.GetSimpleClient<SaRentBillTemplate>(); } }//用来处理SaRentBillTemplate表的常用操作
    public SimpleClient<SaHelpPayType> SaHelpPayTypeDb { get { return Db.GetSimpleClient<SaHelpPayType>(); } }//用来处理SaHelpPayType表的常用操作
    public SimpleClient<pmCostSplit> pmCostSplitDb { get { return Db.GetSimpleClient<pmCostSplit>(); } }//用来处理pmCostSplit表的常用操作
    public SimpleClient<StationUser> StationUserDb { get { return Db.GetSimpleClient<StationUser>(); } }//用来处理StationUser表的常用操作
    public SimpleClient<SaClientRecommend> SaClientRecommendDb { get { return Db.GetSimpleClient<SaClientRecommend>(); } }//用来处理SaClientRecommend表的常用操作
    public SimpleClient<apFocusProject> apFocusProjectDb { get { return Db.GetSimpleClient<apFocusProject>(); } }//用来处理apFocusProject表的常用操作
    public SimpleClient<pmContractPlan> pmContractPlanDb { get { return Db.GetSimpleClient<pmContractPlan>(); } }//用来处理pmContractPlan表的常用操作
    public SimpleClient<SaEquipment> SaEquipmentDb { get { return Db.GetSimpleClient<SaEquipment>(); } }//用来处理SaEquipment表的常用操作
    public SimpleClient<SaPayMode> SaPayModeDb { get { return Db.GetSimpleClient<SaPayMode>(); } }//用来处理SaPayMode表的常用操作
    public SimpleClient<PBS> PBSDb { get { return Db.GetSimpleClient<PBS>(); } }//用来处理PBS表的常用操作
    public SimpleClient<WorkFlow_Leave> WorkFlow_LeaveDb { get { return Db.GetSimpleClient<WorkFlow_Leave>(); } }//用来处理WorkFlow_Leave表的常用操作
    public SimpleClient<SaPaymentDtlBillExtra> SaPaymentDtlBillExtraDb { get { return Db.GetSimpleClient<SaPaymentDtlBillExtra>(); } }//用来处理SaPaymentDtlBillExtra表的常用操作
    public SimpleClient<MaterialCost> MaterialCostDb { get { return Db.GetSimpleClient<MaterialCost>(); } }//用来处理MaterialCost表的常用操作
    public SimpleClient<SaMarketPlan> SaMarketPlanDb { get { return Db.GetSimpleClient<SaMarketPlan>(); } }//用来处理SaMarketPlan表的常用操作
    public SimpleClient<SaSaleReturnHelpPay> SaSaleReturnHelpPayDb { get { return Db.GetSimpleClient<SaSaleReturnHelpPay>(); } }//用来处理SaSaleReturnHelpPay表的常用操作
    public SimpleClient<SaMemberCashOptionDtl> SaMemberCashOptionDtlDb { get { return Db.GetSimpleClient<SaMemberCashOptionDtl>(); } }//用来处理SaMemberCashOptionDtl表的常用操作
    public SimpleClient<pmFundPlanSummaryDtl> pmFundPlanSummaryDtlDb { get { return Db.GetSimpleClient<pmFundPlanSummaryDtl>(); } }//用来处理pmFundPlanSummaryDtl表的常用操作
    public SimpleClient<WorkFlowActUser> WorkFlowActUserDb { get { return Db.GetSimpleClient<WorkFlowActUser>(); } }//用来处理WorkFlowActUser表的常用操作
    public SimpleClient<GradeConsiderDiathesis> GradeConsiderDiathesisDb { get { return Db.GetSimpleClient<GradeConsiderDiathesis>(); } }//用来处理GradeConsiderDiathesis表的常用操作
    public SimpleClient<BiddingGradeMainDefine> BiddingGradeMainDefineDb { get { return Db.GetSimpleClient<BiddingGradeMainDefine>(); } }//用来处理BiddingGradeMainDefine表的常用操作
    public SimpleClient<SaEquipmentMaintainPlan> SaEquipmentMaintainPlanDb { get { return Db.GetSimpleClient<SaEquipmentMaintainPlan>(); } }//用来处理SaEquipmentMaintainPlan表的常用操作
    public SimpleClient<SaMemberCashOption> SaMemberCashOptionDb { get { return Db.GetSimpleClient<SaMemberCashOption>(); } }//用来处理SaMemberCashOption表的常用操作
    public SimpleClient<Building> BuildingDb { get { return Db.GetSimpleClient<Building>(); } }//用来处理Building表的常用操作
    public SimpleClient<pmSaleCostAdjustment> pmSaleCostAdjustmentDb { get { return Db.GetSimpleClient<pmSaleCostAdjustment>(); } }//用来处理pmSaleCostAdjustment表的常用操作
    public SimpleClient<SaMember> SaMemberDb { get { return Db.GetSimpleClient<SaMember>(); } }//用来处理SaMember表的常用操作
    public SimpleClient<SaResearchPre> SaResearchPreDb { get { return Db.GetSimpleClient<SaResearchPre>(); } }//用来处理SaResearchPre表的常用操作
    public SimpleClient<SaEmptyRoomInspect> SaEmptyRoomInspectDb { get { return Db.GetSimpleClient<SaEmptyRoomInspect>(); } }//用来处理SaEmptyRoomInspect表的常用操作
    public SimpleClient<SaFitmentOption> SaFitmentOptionDb { get { return Db.GetSimpleClient<SaFitmentOption>(); } }//用来处理SaFitmentOption表的常用操作
    public SimpleClient<zzsahelppayed> zzsahelppayedDb { get { return Db.GetSimpleClient<zzsahelppayed>(); } }//用来处理zzsahelppayed表的常用操作
    public SimpleClient<SchemeConstructDesign> SchemeConstructDesignDb { get { return Db.GetSimpleClient<SchemeConstructDesign>(); } }//用来处理SchemeConstructDesign表的常用操作
    public SimpleClient<SaRentReceiptDtl> SaRentReceiptDtlDb { get { return Db.GetSimpleClient<SaRentReceiptDtl>(); } }//用来处理SaRentReceiptDtl表的常用操作
    public SimpleClient<Material> MaterialDb { get { return Db.GetSimpleClient<Material>(); } }//用来处理Material表的常用操作
    public SimpleClient<Department> DepartmentDb { get { return Db.GetSimpleClient<Department>(); } }//用来处理Department表的常用操作
    public SimpleClient<UnitSubjectSet> UnitSubjectSetDb { get { return Db.GetSimpleClient<UnitSubjectSet>(); } }//用来处理UnitSubjectSet表的常用操作
    public SimpleClient<SaEquipmentMaintain> SaEquipmentMaintainDb { get { return Db.GetSimpleClient<SaEquipmentMaintain>(); } }//用来处理SaEquipmentMaintain表的常用操作
    public SimpleClient<RiskType> RiskTypeDb { get { return Db.GetSimpleClient<RiskType>(); } }//用来处理RiskType表的常用操作
    public SimpleClient<BuildingFunction> BuildingFunctionDb { get { return Db.GetSimpleClient<BuildingFunction>(); } }//用来处理BuildingFunction表的常用操作
    public SimpleClient<SaProjectPre> SaProjectPreDb { get { return Db.GetSimpleClient<SaProjectPre>(); } }//用来处理SaProjectPre表的常用操作
    public SimpleClient<SaMemberLevelUp> SaMemberLevelUpDb { get { return Db.GetSimpleClient<SaMemberLevelUp>(); } }//用来处理SaMemberLevelUp表的常用操作
    public SimpleClient<pmMonthlyReport> pmMonthlyReportDb { get { return Db.GetSimpleClient<pmMonthlyReport>(); } }//用来处理pmMonthlyReport表的常用操作
    public SimpleClient<SaRoomPriceSet> SaRoomPriceSetDb { get { return Db.GetSimpleClient<SaRoomPriceSet>(); } }//用来处理SaRoomPriceSet表的常用操作
    public SimpleClient<SaContractFitmentOption> SaContractFitmentOptionDb { get { return Db.GetSimpleClient<SaContractFitmentOption>(); } }//用来处理SaContractFitmentOption表的常用操作
    public SimpleClient<SaMeter> SaMeterDb { get { return Db.GetSimpleClient<SaMeter>(); } }//用来处理SaMeter表的常用操作
    public SimpleClient<SaYuqiOptionDtl> SaYuqiOptionDtlDb { get { return Db.GetSimpleClient<SaYuqiOptionDtl>(); } }//用来处理SaYuqiOptionDtl表的常用操作
    public SimpleClient<PayoutItemBuilding> PayoutItemBuildingDb { get { return Db.GetSimpleClient<PayoutItemBuilding>(); } }//用来处理PayoutItemBuilding表的常用操作
    public SimpleClient<SaPrEnterNotice> SaPrEnterNoticeDb { get { return Db.GetSimpleClient<SaPrEnterNotice>(); } }//用来处理SaPrEnterNotice表的常用操作
    public SimpleClient<BiddingGradeMessage> BiddingGradeMessageDb { get { return Db.GetSimpleClient<BiddingGradeMessage>(); } }//用来处理BiddingGradeMessage表的常用操作
    public SimpleClient<SaEquipmentMaintainDtl> SaEquipmentMaintainDtlDb { get { return Db.GetSimpleClient<SaEquipmentMaintainDtl>(); } }//用来处理SaEquipmentMaintainDtl表的常用操作
    public SimpleClient<ContractMaterialPlan> ContractMaterialPlanDb { get { return Db.GetSimpleClient<ContractMaterialPlan>(); } }//用来处理ContractMaterialPlan表的常用操作
    public SimpleClient<BuildingStation> BuildingStationDb { get { return Db.GetSimpleClient<BuildingStation>(); } }//用来处理BuildingStation表的常用操作
    public SimpleClient<PurchaseContractAccount> PurchaseContractAccountDb { get { return Db.GetSimpleClient<PurchaseContractAccount>(); } }//用来处理PurchaseContractAccount表的常用操作
    public SimpleClient<pmCostSplitContractCostPlan> pmCostSplitContractCostPlanDb { get { return Db.GetSimpleClient<pmCostSplitContractCostPlan>(); } }//用来处理pmCostSplitContractCostPlan表的常用操作
    public SimpleClient<apOptionSet> apOptionSetDb { get { return Db.GetSimpleClient<apOptionSet>(); } }//用来处理apOptionSet表的常用操作
    public SimpleClient<saReSales> saReSalesDb { get { return Db.GetSimpleClient<saReSales>(); } }//用来处理saReSales表的常用操作
    public SimpleClient<SaContractClient> SaContractClientDb { get { return Db.GetSimpleClient<SaContractClient>(); } }//用来处理SaContractClient表的常用操作
    public SimpleClient<zzsajgpay> zzsajgpayDb { get { return Db.GetSimpleClient<zzsajgpay>(); } }//用来处理zzsajgpay表的常用操作
    public SimpleClient<tblkemu> tblkemuDb { get { return Db.GetSimpleClient<tblkemu>(); } }//用来处理tblkemu表的常用操作
    public SimpleClient<TaskBudget> TaskBudgetDb { get { return Db.GetSimpleClient<TaskBudget>(); } }//用来处理TaskBudget表的常用操作
    public SimpleClient<SMS_SendRecord> SMS_SendRecordDb { get { return Db.GetSimpleClient<SMS_SendRecord>(); } }//用来处理SMS_SendRecord表的常用操作
    public SimpleClient<prStockIn> prStockInDb { get { return Db.GetSimpleClient<prStockIn>(); } }//用来处理prStockIn表的常用操作
    public SimpleClient<prServiceSheetProcess> prServiceSheetProcessDb { get { return Db.GetSimpleClient<prServiceSheetProcess>(); } }//用来处理prServiceSheetProcess表的常用操作
    public SimpleClient<SchemeReport> SchemeReportDb { get { return Db.GetSimpleClient<SchemeReport>(); } }//用来处理SchemeReport表的常用操作
    public SimpleClient<SaLayoutPrice> SaLayoutPriceDb { get { return Db.GetSimpleClient<SaLayoutPrice>(); } }//用来处理SaLayoutPrice表的常用操作
    public SimpleClient<RiskIndex> RiskIndexDb { get { return Db.GetSimpleClient<RiskIndex>(); } }//用来处理RiskIndex表的常用操作
    public SimpleClient<BuildingModel> BuildingModelDb { get { return Db.GetSimpleClient<BuildingModel>(); } }//用来处理BuildingModel表的常用操作
    public SimpleClient<ChequeDrow> ChequeDrowDb { get { return Db.GetSimpleClient<ChequeDrow>(); } }//用来处理ChequeDrow表的常用操作
    public SimpleClient<SaPayModeDtl> SaPayModeDtlDb { get { return Db.GetSimpleClient<SaPayModeDtl>(); } }//用来处理SaPayModeDtl表的常用操作
    public SimpleClient<Notice> NoticeDb { get { return Db.GetSimpleClient<Notice>(); } }//用来处理Notice表的常用操作
    public SimpleClient<WorkFlowCase> WorkFlowCaseDb { get { return Db.GetSimpleClient<WorkFlowCase>(); } }//用来处理WorkFlowCase表的常用操作
    public SimpleClient<SaRentPayment> SaRentPaymentDb { get { return Db.GetSimpleClient<SaRentPayment>(); } }//用来处理SaRentPayment表的常用操作
    public SimpleClient<SaPayModeLog> SaPayModeLogDb { get { return Db.GetSimpleClient<SaPayModeLog>(); } }//用来处理SaPayModeLog表的常用操作
    public SimpleClient<TaskBudgetCondition> TaskBudgetConditionDb { get { return Db.GetSimpleClient<TaskBudgetCondition>(); } }//用来处理TaskBudgetCondition表的常用操作
    public SimpleClient<GradeConsiderPercentage> GradeConsiderPercentageDb { get { return Db.GetSimpleClient<GradeConsiderPercentage>(); } }//用来处理GradeConsiderPercentage表的常用操作
    public SimpleClient<prChargeReturn> prChargeReturnDb { get { return Db.GetSimpleClient<prChargeReturn>(); } }//用来处理prChargeReturn表的常用操作
    public SimpleClient<CostAllocation> CostAllocationDb { get { return Db.GetSimpleClient<CostAllocation>(); } }//用来处理CostAllocation表的常用操作
    public SimpleClient<BiddingSupplier> BiddingSupplierDb { get { return Db.GetSimpleClient<BiddingSupplier>(); } }//用来处理BiddingSupplier表的常用操作
    public SimpleClient<ContractModel> ContractModelDb { get { return Db.GetSimpleClient<ContractModel>(); } }//用来处理ContractModel表的常用操作
    public SimpleClient<SaRentPayPlanPre> SaRentPayPlanPreDb { get { return Db.GetSimpleClient<SaRentPayPlanPre>(); } }//用来处理SaRentPayPlanPre表的常用操作
    public SimpleClient<WorkWorthFillIn> WorkWorthFillInDb { get { return Db.GetSimpleClient<WorkWorthFillIn>(); } }//用来处理WorkWorthFillIn表的常用操作
    public SimpleClient<SaComplaintWarning> SaComplaintWarningDb { get { return Db.GetSimpleClient<SaComplaintWarning>(); } }//用来处理SaComplaintWarning表的常用操作
    public SimpleClient<TaskGuid> TaskGuidDb { get { return Db.GetSimpleClient<TaskGuid>(); } }//用来处理TaskGuid表的常用操作
    public SimpleClient<PeriodDefine> PeriodDefineDb { get { return Db.GetSimpleClient<PeriodDefine>(); } }//用来处理PeriodDefine表的常用操作
    public SimpleClient<SaClientProject> SaClientProjectDb { get { return Db.GetSimpleClient<SaClientProject>(); } }//用来处理SaClientProject表的常用操作
    public SimpleClient<SaSalesFeeRuleDetail> SaSalesFeeRuleDetailDb { get { return Db.GetSimpleClient<SaSalesFeeRuleDetail>(); } }//用来处理SaSalesFeeRuleDetail表的常用操作
    public SimpleClient<zzsajgrelease> zzsajgreleaseDb { get { return Db.GetSimpleClient<zzsajgrelease>(); } }//用来处理zzsajgrelease表的常用操作
    public SimpleClient<SaReClientQyr> SaReClientQyrDb { get { return Db.GetSimpleClient<SaReClientQyr>(); } }//用来处理SaReClientQyr表的常用操作
    public SimpleClient<apPushInfo> apPushInfoDb { get { return Db.GetSimpleClient<apPushInfo>(); } }//用来处理apPushInfo表的常用操作
    public SimpleClient<UnitRelation> UnitRelationDb { get { return Db.GetSimpleClient<UnitRelation>(); } }//用来处理UnitRelation表的常用操作
    public SimpleClient<zzsajgset> zzsajgsetDb { get { return Db.GetSimpleClient<zzsajgset>(); } }//用来处理zzsajgset表的常用操作
    public SimpleClient<pmContractPlanPay> pmContractPlanPayDb { get { return Db.GetSimpleClient<pmContractPlanPay>(); } }//用来处理pmContractPlanPay表的常用操作
    public SimpleClient<AttrSetItem> AttrSetItemDb { get { return Db.GetSimpleClient<AttrSetItem>(); } }//用来处理AttrSetItem表的常用操作
    public SimpleClient<ConstructProgress> ConstructProgressDb { get { return Db.GetSimpleClient<ConstructProgress>(); } }//用来处理ConstructProgress表的常用操作
    public SimpleClient<PrObject> PrObjectDb { get { return Db.GetSimpleClient<PrObject>(); } }//用来处理PrObject表的常用操作
    public SimpleClient<SaVip> SaVipDb { get { return Db.GetSimpleClient<SaVip>(); } }//用来处理SaVip表的常用操作
    public SimpleClient<ClaimsExpressions> ClaimsExpressionsDb { get { return Db.GetSimpleClient<ClaimsExpressions>(); } }//用来处理ClaimsExpressions表的常用操作
    public SimpleClient<SaComplaintReturnVisit> SaComplaintReturnVisitDb { get { return Db.GetSimpleClient<SaComplaintReturnVisit>(); } }//用来处理SaComplaintReturnVisit表的常用操作
    public SimpleClient<pmMonthPlanPerson> pmMonthPlanPersonDb { get { return Db.GetSimpleClient<pmMonthPlanPerson>(); } }//用来处理pmMonthPlanPerson表的常用操作
    public SimpleClient<SaMeterRecordUseDtl> SaMeterRecordUseDtlDb { get { return Db.GetSimpleClient<SaMeterRecordUseDtl>(); } }//用来处理SaMeterRecordUseDtl表的常用操作
    public SimpleClient<SaReSaleArea> SaReSaleAreaDb { get { return Db.GetSimpleClient<SaReSaleArea>(); } }//用来处理SaReSaleArea表的常用操作
    public SimpleClient<SaSalesFeeDetail> SaSalesFeeDetailDb { get { return Db.GetSimpleClient<SaSalesFeeDetail>(); } }//用来处理SaSalesFeeDetail表的常用操作
    public SimpleClient<SaPrFitmentDesign> SaPrFitmentDesignDb { get { return Db.GetSimpleClient<SaPrFitmentDesign>(); } }//用来处理SaPrFitmentDesign表的常用操作
    public SimpleClient<GradeDepartment> GradeDepartmentDb { get { return Db.GetSimpleClient<GradeDepartment>(); } }//用来处理GradeDepartment表的常用操作
    public SimpleClient<UserDesktop> UserDesktopDb { get { return Db.GetSimpleClient<UserDesktop>(); } }//用来处理UserDesktop表的常用操作
    public SimpleClient<CostPlan> CostPlanDb { get { return Db.GetSimpleClient<CostPlan>(); } }//用来处理CostPlan表的常用操作
    public SimpleClient<pmProgressModel> pmProgressModelDb { get { return Db.GetSimpleClient<pmProgressModel>(); } }//用来处理pmProgressModel表的常用操作
    public SimpleClient<ConstructProgressStep> ConstructProgressStepDb { get { return Db.GetSimpleClient<ConstructProgressStep>(); } }//用来处理ConstructProgressStep表的常用操作
    public SimpleClient<SaMeterRecordDtl> SaMeterRecordDtlDb { get { return Db.GetSimpleClient<SaMeterRecordDtl>(); } }//用来处理SaMeterRecordDtl表的常用操作
    public SimpleClient<SaVipUpGrade> SaVipUpGradeDb { get { return Db.GetSimpleClient<SaVipUpGrade>(); } }//用来处理SaVipUpGrade表的常用操作
    public SimpleClient<SaBankSubject> SaBankSubjectDb { get { return Db.GetSimpleClient<SaBankSubject>(); } }//用来处理SaBankSubject表的常用操作
    public SimpleClient<SaComplaintFault> SaComplaintFaultDb { get { return Db.GetSimpleClient<SaComplaintFault>(); } }//用来处理SaComplaintFault表的常用操作
    public SimpleClient<AttrSetFrame> AttrSetFrameDb { get { return Db.GetSimpleClient<AttrSetFrame>(); } }//用来处理AttrSetFrame表的常用操作
    public SimpleClient<PrRoomRelation> PrRoomRelationDb { get { return Db.GetSimpleClient<PrRoomRelation>(); } }//用来处理PrRoomRelation表的常用操作
    public SimpleClient<SaSpecialTransSet> SaSpecialTransSetDb { get { return Db.GetSimpleClient<SaSpecialTransSet>(); } }//用来处理SaSpecialTransSet表的常用操作
    public SimpleClient<TaxDeclareIn> TaxDeclareInDb { get { return Db.GetSimpleClient<TaxDeclareIn>(); } }//用来处理TaxDeclareIn表的常用操作
    public SimpleClient<SaContractBuchaTemp> SaContractBuchaTempDb { get { return Db.GetSimpleClient<SaContractBuchaTemp>(); } }//用来处理SaContractBuchaTemp表的常用操作
    public SimpleClient<SaPrFitmentFirm> SaPrFitmentFirmDb { get { return Db.GetSimpleClient<SaPrFitmentFirm>(); } }//用来处理SaPrFitmentFirm表的常用操作
    public SimpleClient<SaPayModePre> SaPayModePreDb { get { return Db.GetSimpleClient<SaPayModePre>(); } }//用来处理SaPayModePre表的常用操作
    public SimpleClient<apSampleRoom> apSampleRoomDb { get { return Db.GetSimpleClient<apSampleRoom>(); } }//用来处理apSampleRoom表的常用操作
    public SimpleClient<TaskHistory> TaskHistoryDb { get { return Db.GetSimpleClient<TaskHistory>(); } }//用来处理TaskHistory表的常用操作
    public SimpleClient<ConstructAnnualPlan> ConstructAnnualPlanDb { get { return Db.GetSimpleClient<ConstructAnnualPlan>(); } }//用来处理ConstructAnnualPlan表的常用操作
    public SimpleClient<SaMeterTypeDtl> SaMeterTypeDtlDb { get { return Db.GetSimpleClient<SaMeterTypeDtl>(); } }//用来处理SaMeterTypeDtl表的常用操作
    public SimpleClient<SaRePaymode> SaRePaymodeDb { get { return Db.GetSimpleClient<SaRePaymode>(); } }//用来处理SaRePaymode表的常用操作
    public SimpleClient<pmEstimatedChangeDtl> pmEstimatedChangeDtlDb { get { return Db.GetSimpleClient<pmEstimatedChangeDtl>(); } }//用来处理pmEstimatedChangeDtl表的常用操作
    public SimpleClient<SaComplaintMemo> SaComplaintMemoDb { get { return Db.GetSimpleClient<SaComplaintMemo>(); } }//用来处理SaComplaintMemo表的常用操作
    public SimpleClient<AttrSetFrameItem> AttrSetFrameItemDb { get { return Db.GetSimpleClient<AttrSetFrameItem>(); } }//用来处理AttrSetFrameItem表的常用操作
    public SimpleClient<prDevRepair> prDevRepairDb { get { return Db.GetSimpleClient<prDevRepair>(); } }//用来处理prDevRepair表的常用操作
    public SimpleClient<SaClientMerge> SaClientMergeDb { get { return Db.GetSimpleClient<SaClientMerge>(); } }//用来处理SaClientMerge表的常用操作
    public SimpleClient<BiddingGradeType> BiddingGradeTypeDb { get { return Db.GetSimpleClient<BiddingGradeType>(); } }//用来处理BiddingGradeType表的常用操作
    public SimpleClient<SaMaterialFlow> SaMaterialFlowDb { get { return Db.GetSimpleClient<SaMaterialFlow>(); } }//用来处理SaMaterialFlow表的常用操作
    public SimpleClient<SaDiscountReportOptionDtl> SaDiscountReportOptionDtlDb { get { return Db.GetSimpleClient<SaDiscountReportOptionDtl>(); } }//用来处理SaDiscountReportOptionDtl表的常用操作
    public SimpleClient<SaPaymentDtlExtra> SaPaymentDtlExtraDb { get { return Db.GetSimpleClient<SaPaymentDtlExtra>(); } }//用来处理SaPaymentDtlExtra表的常用操作
    public SimpleClient<SaRentObjectExtra> SaRentObjectExtraDb { get { return Db.GetSimpleClient<SaRentObjectExtra>(); } }//用来处理SaRentObjectExtra表的常用操作
    public SimpleClient<PrReceipt> PrReceiptDb { get { return Db.GetSimpleClient<PrReceipt>(); } }//用来处理PrReceipt表的常用操作
    public SimpleClient<ConstructPlanStep> ConstructPlanStepDb { get { return Db.GetSimpleClient<ConstructPlanStep>(); } }//用来处理ConstructPlanStep表的常用操作
    public SimpleClient<SaJinshuiExport> SaJinshuiExportDb { get { return Db.GetSimpleClient<SaJinshuiExport>(); } }//用来处理SaJinshuiExport表的常用操作
    public SimpleClient<SaPayment> SaPaymentDb { get { return Db.GetSimpleClient<SaPayment>(); } }//用来处理SaPayment表的常用操作
    public SimpleClient<PurchaseContractChange> PurchaseContractChangeDb { get { return Db.GetSimpleClient<PurchaseContractChange>(); } }//用来处理PurchaseContractChange表的常用操作
    public SimpleClient<SaComplaintProcessing> SaComplaintProcessingDb { get { return Db.GetSimpleClient<SaComplaintProcessing>(); } }//用来处理SaComplaintProcessing表的常用操作
    public SimpleClient<PBSAttrItem> PBSAttrItemDb { get { return Db.GetSimpleClient<PBSAttrItem>(); } }//用来处理PBSAttrItem表的常用操作
    public SimpleClient<Photos> PhotosDb { get { return Db.GetSimpleClient<Photos>(); } }//用来处理Photos表的常用操作
    public SimpleClient<SaBuchaOption> SaBuchaOptionDb { get { return Db.GetSimpleClient<SaBuchaOption>(); } }//用来处理SaBuchaOption表的常用操作
    public SimpleClient<BiddingLog> BiddingLogDb { get { return Db.GetSimpleClient<BiddingLog>(); } }//用来处理BiddingLog表的常用操作
    public SimpleClient<SaMaterial> SaMaterialDb { get { return Db.GetSimpleClient<SaMaterial>(); } }//用来处理SaMaterial表的常用操作
    public SimpleClient<SaPrServiceAttachment> SaPrServiceAttachmentDb { get { return Db.GetSimpleClient<SaPrServiceAttachment>(); } }//用来处理SaPrServiceAttachment表的常用操作
    public SimpleClient<PBSTypeProject> PBSTypeProjectDb { get { return Db.GetSimpleClient<PBSTypeProject>(); } }//用来处理PBSTypeProject表的常用操作
    public SimpleClient<DTS_LOG> DTS_LOGDb { get { return Db.GetSimpleClient<DTS_LOG>(); } }//用来处理DTS_LOG表的常用操作
    public SimpleClient<SaSaleReturn> SaSaleReturnDb { get { return Db.GetSimpleClient<SaSaleReturn>(); } }//用来处理SaSaleReturn表的常用操作
    public SimpleClient<SaContactAnswer> SaContactAnswerDb { get { return Db.GetSimpleClient<SaContactAnswer>(); } }//用来处理SaContactAnswer表的常用操作
    public SimpleClient<Room> RoomDb { get { return Db.GetSimpleClient<Room>(); } }//用来处理Room表的常用操作
    public SimpleClient<SaPaymentDtl> SaPaymentDtlDb { get { return Db.GetSimpleClient<SaPaymentDtl>(); } }//用来处理SaPaymentDtl表的常用操作
    public SimpleClient<ClaimsExpressionsDetail> ClaimsExpressionsDetailDb { get { return Db.GetSimpleClient<ClaimsExpressionsDetail>(); } }//用来处理ClaimsExpressionsDetail表的常用操作
    public SimpleClient<CBSPre> CBSPreDb { get { return Db.GetSimpleClient<CBSPre>(); } }//用来处理CBSPre表的常用操作
    public SimpleClient<pmProgressModelNode> pmProgressModelNodeDb { get { return Db.GetSimpleClient<pmProgressModelNode>(); } }//用来处理pmProgressModelNode表的常用操作
    public SimpleClient<SaClientBirthRemind> SaClientBirthRemindDb { get { return Db.GetSimpleClient<SaClientBirthRemind>(); } }//用来处理SaClientBirthRemind表的常用操作
    public SimpleClient<Cash_Detail> Cash_DetailDb { get { return Db.GetSimpleClient<Cash_Detail>(); } }//用来处理Cash_Detail表的常用操作
    public SimpleClient<WorkFlowPDFFile> WorkFlowPDFFileDb { get { return Db.GetSimpleClient<WorkFlowPDFFile>(); } }//用来处理WorkFlowPDFFile表的常用操作
    public SimpleClient<SaClientContact> SaClientContactDb { get { return Db.GetSimpleClient<SaClientContact>(); } }//用来处理SaClientContact表的常用操作
    public SimpleClient<StampDuty> StampDutyDb { get { return Db.GetSimpleClient<StampDuty>(); } }//用来处理StampDuty表的常用操作
    public SimpleClient<PBSTypeLayout> PBSTypeLayoutDb { get { return Db.GetSimpleClient<PBSTypeLayout>(); } }//用来处理PBSTypeLayout表的常用操作
    public SimpleClient<prStockInDetail> prStockInDetailDb { get { return Db.GetSimpleClient<prStockInDetail>(); } }//用来处理prStockInDetail表的常用操作
    public SimpleClient<prCharge> prChargeDb { get { return Db.GetSimpleClient<prCharge>(); } }//用来处理prCharge表的常用操作
    public SimpleClient<Bidding> BiddingDb { get { return Db.GetSimpleClient<Bidding>(); } }//用来处理Bidding表的常用操作
    public SimpleClient<SaResearchQuestion> SaResearchQuestionDb { get { return Db.GetSimpleClient<SaResearchQuestion>(); } }//用来处理SaResearchQuestion表的常用操作
    public SimpleClient<RptFinIn> RptFinInDb { get { return Db.GetSimpleClient<RptFinIn>(); } }//用来处理RptFinIn表的常用操作
    public SimpleClient<SaVipReClient> SaVipReClientDb { get { return Db.GetSimpleClient<SaVipReClient>(); } }//用来处理SaVipReClient表的常用操作
    public SimpleClient<tablespaceinfo> tablespaceinfoDb { get { return Db.GetSimpleClient<tablespaceinfo>(); } }//用来处理tablespaceinfo表的常用操作
    public SimpleClient<pmProgress> pmProgressDb { get { return Db.GetSimpleClient<pmProgress>(); } }//用来处理pmProgress表的常用操作
    public SimpleClient<pmProgressNode> pmProgressNodeDb { get { return Db.GetSimpleClient<pmProgressNode>(); } }//用来处理pmProgressNode表的常用操作
    public SimpleClient<SaInspectPeriod> SaInspectPeriodDb { get { return Db.GetSimpleClient<SaInspectPeriod>(); } }//用来处理SaInspectPeriod表的常用操作
    public SimpleClient<pmSupplierBlacklistReleaseDtl> pmSupplierBlacklistReleaseDtlDb { get { return Db.GetSimpleClient<pmSupplierBlacklistReleaseDtl>(); } }//用来处理pmSupplierBlacklistReleaseDtl表的常用操作
    public SimpleClient<UserHelpGroup> UserHelpGroupDb { get { return Db.GetSimpleClient<UserHelpGroup>(); } }//用来处理UserHelpGroup表的常用操作
    public SimpleClient<SaVisitAnswer> SaVisitAnswerDb { get { return Db.GetSimpleClient<SaVisitAnswer>(); } }//用来处理SaVisitAnswer表的常用操作
    public SimpleClient<ZSystemURL> ZSystemURLDb { get { return Db.GetSimpleClient<ZSystemURL>(); } }//用来处理ZSystemURL表的常用操作
    public SimpleClient<SaComplaint> SaComplaintDb { get { return Db.GetSimpleClient<SaComplaint>(); } }//用来处理SaComplaint表的常用操作
    public SimpleClient<SaRentBillDerateDtl> SaRentBillDerateDtlDb { get { return Db.GetSimpleClient<SaRentBillDerateDtl>(); } }//用来处理SaRentBillDerateDtl表的常用操作
    public SimpleClient<pmMonthReportDetail> pmMonthReportDetailDb { get { return Db.GetSimpleClient<pmMonthReportDetail>(); } }//用来处理pmMonthReportDetail表的常用操作
    public SimpleClient<GradeDepartmentPercentage> GradeDepartmentPercentageDb { get { return Db.GetSimpleClient<GradeDepartmentPercentage>(); } }//用来处理GradeDepartmentPercentage表的常用操作
    public SimpleClient<SystemGroup> SystemGroupDb { get { return Db.GetSimpleClient<SystemGroup>(); } }//用来处理SystemGroup表的常用操作
    public SimpleClient<TaskLog> TaskLogDb { get { return Db.GetSimpleClient<TaskLog>(); } }//用来处理TaskLog表的常用操作
    public SimpleClient<SaVoucherDtl> SaVoucherDtlDb { get { return Db.GetSimpleClient<SaVoucherDtl>(); } }//用来处理SaVoucherDtl表的常用操作
    public SimpleClient<SaQuestionItemsPre> SaQuestionItemsPreDb { get { return Db.GetSimpleClient<SaQuestionItemsPre>(); } }//用来处理SaQuestionItemsPre表的常用操作
    public SimpleClient<pmProgressNodeLink> pmProgressNodeLinkDb { get { return Db.GetSimpleClient<pmProgressNodeLink>(); } }//用来处理pmProgressNodeLink表的常用操作
    public SimpleClient<pmProgressModelNodeLink> pmProgressModelNodeLinkDb { get { return Db.GetSimpleClient<pmProgressModelNodeLink>(); } }//用来处理pmProgressModelNodeLink表的常用操作
    public SimpleClient<SaRentContractBOCut> SaRentContractBOCutDb { get { return Db.GetSimpleClient<SaRentContractBOCut>(); } }//用来处理SaRentContractBOCut表的常用操作
    public SimpleClient<PurchaseContractCost> PurchaseContractCostDb { get { return Db.GetSimpleClient<PurchaseContractCost>(); } }//用来处理PurchaseContractCost表的常用操作
    public SimpleClient<prOperateContractCharge> prOperateContractChargeDb { get { return Db.GetSimpleClient<prOperateContractCharge>(); } }//用来处理prOperateContractCharge表的常用操作
    public SimpleClient<SaBillDtl> SaBillDtlDb { get { return Db.GetSimpleClient<SaBillDtl>(); } }//用来处理SaBillDtl表的常用操作
    public SimpleClient<ContractPaymentPlan> ContractPaymentPlanDb { get { return Db.GetSimpleClient<ContractPaymentPlan>(); } }//用来处理ContractPaymentPlan表的常用操作
    public SimpleClient<PBSAttr> PBSAttrDb { get { return Db.GetSimpleClient<PBSAttr>(); } }//用来处理PBSAttr表的常用操作
    public SimpleClient<DictionaryName> DictionaryNameDb { get { return Db.GetSimpleClient<DictionaryName>(); } }//用来处理DictionaryName表的常用操作
    public SimpleClient<pmProgressCalendar> pmProgressCalendarDb { get { return Db.GetSimpleClient<pmProgressCalendar>(); } }//用来处理pmProgressCalendar表的常用操作
    public SimpleClient<PrRoomAccountType> PrRoomAccountTypeDb { get { return Db.GetSimpleClient<PrRoomAccountType>(); } }//用来处理PrRoomAccountType表的常用操作
    public SimpleClient<prStockTakingDetail> prStockTakingDetailDb { get { return Db.GetSimpleClient<prStockTakingDetail>(); } }//用来处理prStockTakingDetail表的常用操作
    public SimpleClient<ViseCost> ViseCostDb { get { return Db.GetSimpleClient<ViseCost>(); } }//用来处理ViseCost表的常用操作
    public SimpleClient<SaResearchQuestionPre> SaResearchQuestionPreDb { get { return Db.GetSimpleClient<SaResearchQuestionPre>(); } }//用来处理SaResearchQuestionPre表的常用操作
    public SimpleClient<pmProgressNodePerson> pmProgressNodePersonDb { get { return Db.GetSimpleClient<pmProgressNodePerson>(); } }//用来处理pmProgressNodePerson表的常用操作
    public SimpleClient<PrReceiptVAT> PrReceiptVATDb { get { return Db.GetSimpleClient<PrReceiptVAT>(); } }//用来处理PrReceiptVAT表的常用操作
    public SimpleClient<WorkFlowCommon> WorkFlowCommonDb { get { return Db.GetSimpleClient<WorkFlowCommon>(); } }//用来处理WorkFlowCommon表的常用操作
    public SimpleClient<PurchaseContractAssistant> PurchaseContractAssistantDb { get { return Db.GetSimpleClient<PurchaseContractAssistant>(); } }//用来处理PurchaseContractAssistant表的常用操作
    public SimpleClient<PBSPic> PBSPicDb { get { return Db.GetSimpleClient<PBSPic>(); } }//用来处理PBSPic表的常用操作
    public SimpleClient<Chamber> ChamberDb { get { return Db.GetSimpleClient<Chamber>(); } }//用来处理Chamber表的常用操作
    public SimpleClient<CBSPreModule> CBSPreModuleDb { get { return Db.GetSimpleClient<CBSPreModule>(); } }//用来处理CBSPreModule表的常用操作
    public SimpleClient<TaskExecuteRisk> TaskExecuteRiskDb { get { return Db.GetSimpleClient<TaskExecuteRisk>(); } }//用来处理TaskExecuteRisk表的常用操作
    public SimpleClient<PurchaseContractCostChange> PurchaseContractCostChangeDb { get { return Db.GetSimpleClient<PurchaseContractCostChange>(); } }//用来处理PurchaseContractCostChange表的常用操作
    public SimpleClient<pmServiceDocument> pmServiceDocumentDb { get { return Db.GetSimpleClient<pmServiceDocument>(); } }//用来处理pmServiceDocument表的常用操作
    public SimpleClient<DesignChangesCostDTO> DesignChangesCostDb { get { return Db.GetSimpleClient<DesignChangesCostDTO>(); } }//用来处理DesignChangesCost表的常用操作
    public SimpleClient<BiddingAuditing> BiddingAuditingDb { get { return Db.GetSimpleClient<BiddingAuditing>(); } }//用来处理BiddingAuditing表的常用操作
    public SimpleClient<BiddingReturnCost> BiddingReturnCostDb { get { return Db.GetSimpleClient<BiddingReturnCost>(); } }//用来处理BiddingReturnCost表的常用操作
    public SimpleClient<pmQualificationRemindSet> pmQualificationRemindSetDb { get { return Db.GetSimpleClient<pmQualificationRemindSet>(); } }//用来处理pmQualificationRemindSet表的常用操作
    public SimpleClient<pmProgressReport> pmProgressReportDb { get { return Db.GetSimpleClient<pmProgressReport>(); } }//用来处理pmProgressReport表的常用操作
    public SimpleClient<PrReceiptDtl> PrReceiptDtlDb { get { return Db.GetSimpleClient<PrReceiptDtl>(); } }//用来处理PrReceiptDtl表的常用操作
    public SimpleClient<prChargeNotice> prChargeNoticeDb { get { return Db.GetSimpleClient<prChargeNotice>(); } }//用来处理prChargeNotice表的常用操作
    public SimpleClient<Receipt> ReceiptDb { get { return Db.GetSimpleClient<Receipt>(); } }//用来处理Receipt表的常用操作
    public SimpleClient<prSendSheet> prSendSheetDb { get { return Db.GetSimpleClient<prSendSheet>(); } }//用来处理prSendSheet表的常用操作
    public SimpleClient<ReviseBudgetCheck> ReviseBudgetCheckDb { get { return Db.GetSimpleClient<ReviseBudgetCheck>(); } }//用来处理ReviseBudgetCheck表的常用操作
    public SimpleClient<pmPaymentContractValue> pmPaymentContractValueDb { get { return Db.GetSimpleClient<pmPaymentContractValue>(); } }//用来处理pmPaymentContractValue表的常用操作
    public SimpleClient<ContractNexus> ContractNexusDb { get { return Db.GetSimpleClient<ContractNexus>(); } }//用来处理ContractNexus表的常用操作
    public SimpleClient<SaPrFitmentStaff> SaPrFitmentStaffDb { get { return Db.GetSimpleClient<SaPrFitmentStaff>(); } }//用来处理SaPrFitmentStaff表的常用操作
    public SimpleClient<ConfigItemName> ConfigItemNameDb { get { return Db.GetSimpleClient<ConfigItemName>(); } }//用来处理ConfigItemName表的常用操作
    public SimpleClient<SaPrExitNotice> SaPrExitNoticeDb { get { return Db.GetSimpleClient<SaPrExitNotice>(); } }//用来处理SaPrExitNotice表的常用操作
    public SimpleClient<SaPrServiceLog> SaPrServiceLogDb { get { return Db.GetSimpleClient<SaPrServiceLog>(); } }//用来处理SaPrServiceLog表的常用操作
    public SimpleClient<Role> RoleDb { get { return Db.GetSimpleClient<Role>(); } }//用来处理Role表的常用操作
    public SimpleClient<pmQualificationRemindPerson> pmQualificationRemindPersonDb { get { return Db.GetSimpleClient<pmQualificationRemindPerson>(); } }//用来处理pmQualificationRemindPerson表的常用操作
    public SimpleClient<pmProgressMasterNode> pmProgressMasterNodeDb { get { return Db.GetSimpleClient<pmProgressMasterNode>(); } }//用来处理pmProgressMasterNode表的常用操作
    public SimpleClient<SaModel> SaModelDb { get { return Db.GetSimpleClient<SaModel>(); } }//用来处理SaModel表的常用操作
    public SimpleClient<PingFen> PingFenDb { get { return Db.GetSimpleClient<PingFen>(); } }//用来处理PingFen表的常用操作
    public SimpleClient<PurchaseContractRela> PurchaseContractRelaDb { get { return Db.GetSimpleClient<PurchaseContractRela>(); } }//用来处理PurchaseContractRela表的常用操作
    public SimpleClient<UserLookedNotice> UserLookedNoticeDb { get { return Db.GetSimpleClient<UserLookedNotice>(); } }//用来处理UserLookedNotice表的常用操作
    public SimpleClient<Voucher> VoucherDb { get { return Db.GetSimpleClient<Voucher>(); } }//用来处理Voucher表的常用操作
    public SimpleClient<pmPaymentReceipt> pmPaymentReceiptDb { get { return Db.GetSimpleClient<pmPaymentReceipt>(); } }//用来处理pmPaymentReceipt表的常用操作
    public SimpleClient<SaMeterChange> SaMeterChangeDb { get { return Db.GetSimpleClient<SaMeterChange>(); } }//用来处理SaMeterChange表的常用操作
    public SimpleClient<SaSalesFee> SaSalesFeeDb { get { return Db.GetSimpleClient<SaSalesFee>(); } }//用来处理SaSalesFee表的常用操作
    public SimpleClient<SystemGroup_bak> SystemGroup_bakDb { get { return Db.GetSimpleClient<SystemGroup_bak>(); } }//用来处理SystemGroup_bak表的常用操作
    public SimpleClient<SaRentReRoomFreePeriod> SaRentReRoomFreePeriodDb { get { return Db.GetSimpleClient<SaRentReRoomFreePeriod>(); } }//用来处理SaRentReRoomFreePeriod表的常用操作
    public SimpleClient<TaskPerson> TaskPersonDb { get { return Db.GetSimpleClient<TaskPerson>(); } }//用来处理TaskPerson表的常用操作
    public SimpleClient<Contract> ContractDb { get { return Db.GetSimpleClient<Contract>(); } }//用来处理Contract表的常用操作
    public SimpleClient<pmProgressNodeRemind> pmProgressNodeRemindDb { get { return Db.GetSimpleClient<pmProgressNodeRemind>(); } }//用来处理pmProgressNodeRemind表的常用操作
    public SimpleClient<SaRegion> SaRegionDb { get { return Db.GetSimpleClient<SaRegion>(); } }//用来处理SaRegion表的常用操作
    public SimpleClient<WorkFlowCaseProperty> WorkFlowCasePropertyDb { get { return Db.GetSimpleClient<WorkFlowCaseProperty>(); } }//用来处理WorkFlowCaseProperty表的常用操作
    public SimpleClient<pmSaleCostAdjustmentShareOut> pmSaleCostAdjustmentShareOutDb { get { return Db.GetSimpleClient<pmSaleCostAdjustmentShareOut>(); } }//用来处理pmSaleCostAdjustmentShareOut表的常用操作
    public SimpleClient<PrVoucher> PrVoucherDb { get { return Db.GetSimpleClient<PrVoucher>(); } }//用来处理PrVoucher表的常用操作
    public SimpleClient<UserHelpUser> UserHelpUserDb { get { return Db.GetSimpleClient<UserHelpUser>(); } }//用来处理UserHelpUser表的常用操作
    public SimpleClient<PaymentPlan> PaymentPlanDb { get { return Db.GetSimpleClient<PaymentPlan>(); } }//用来处理PaymentPlan表的常用操作
    public SimpleClient<pmPaymentProgressNode> pmPaymentProgressNodeDb { get { return Db.GetSimpleClient<pmPaymentProgressNode>(); } }//用来处理pmPaymentProgressNode表的常用操作
    public SimpleClient<prStockOutDetail> prStockOutDetailDb { get { return Db.GetSimpleClient<prStockOutDetail>(); } }//用来处理prStockOutDetail表的常用操作
    public SimpleClient<SaBuchaOptionDtl> SaBuchaOptionDtlDb { get { return Db.GetSimpleClient<SaBuchaOptionDtl>(); } }//用来处理SaBuchaOptionDtl表的常用操作
    public SimpleClient<pmManagementPayout> pmManagementPayoutDb { get { return Db.GetSimpleClient<pmManagementPayout>(); } }//用来处理pmManagementPayout表的常用操作
    public SimpleClient<apEnvironment> apEnvironmentDb { get { return Db.GetSimpleClient<apEnvironment>(); } }//用来处理apEnvironment表的常用操作
    public SimpleClient<BiddingConditionFile> BiddingConditionFileDb { get { return Db.GetSimpleClient<BiddingConditionFile>(); } }//用来处理BiddingConditionFile表的常用操作
    public SimpleClient<SaChannelClientInvalid> SaChannelClientInvalidDb { get { return Db.GetSimpleClient<SaChannelClientInvalid>(); } }//用来处理SaChannelClientInvalid表的常用操作
    public SimpleClient<ContractValue> ContractValueDb { get { return Db.GetSimpleClient<ContractValue>(); } }//用来处理ContractValue表的常用操作
    public SimpleClient<tblField> tblFieldDb { get { return Db.GetSimpleClient<tblField>(); } }//用来处理tblField表的常用操作
    public SimpleClient<SaBuilding> SaBuildingDb { get { return Db.GetSimpleClient<SaBuilding>(); } }//用来处理SaBuilding表的常用操作
    public SimpleClient<WorkFlowCondition> WorkFlowConditionDb { get { return Db.GetSimpleClient<WorkFlowCondition>(); } }//用来处理WorkFlowCondition表的常用操作
    public SimpleClient<pmSaleCostAdjustmentDtl> pmSaleCostAdjustmentDtlDb { get { return Db.GetSimpleClient<pmSaleCostAdjustmentDtl>(); } }//用来处理pmSaleCostAdjustmentDtl表的常用操作
    public SimpleClient<PBSPicGroup> PBSPicGroupDb { get { return Db.GetSimpleClient<PBSPicGroup>(); } }//用来处理PBSPicGroup表的常用操作
    public SimpleClient<InspectSituation> InspectSituationDb { get { return Db.GetSimpleClient<InspectSituation>(); } }//用来处理InspectSituation表的常用操作
    public SimpleClient<pmDeductMoneyDtl> pmDeductMoneyDtlDb { get { return Db.GetSimpleClient<pmDeductMoneyDtl>(); } }//用来处理pmDeductMoneyDtl表的常用操作
    public SimpleClient<SaRoomLockExtra> SaRoomLockExtraDb { get { return Db.GetSimpleClient<SaRoomLockExtra>(); } }//用来处理SaRoomLockExtra表的常用操作
    public SimpleClient<PurchaseDetail> PurchaseDetailDb { get { return Db.GetSimpleClient<PurchaseDetail>(); } }//用来处理PurchaseDetail表的常用操作
    public SimpleClient<GradeMainDefine> GradeMainDefineDb { get { return Db.GetSimpleClient<GradeMainDefine>(); } }//用来处理GradeMainDefine表的常用操作
    public SimpleClient<apEquipment> apEquipmentDb { get { return Db.GetSimpleClient<apEquipment>(); } }//用来处理apEquipment表的常用操作
    public SimpleClient<prHouseHoldsFiles> prHouseHoldsFilesDb { get { return Db.GetSimpleClient<prHouseHoldsFiles>(); } }//用来处理prHouseHoldsFiles表的常用操作
    public SimpleClient<CostBudget> CostBudgetDb { get { return Db.GetSimpleClient<CostBudget>(); } }//用来处理CostBudget表的常用操作
    public SimpleClient<SaAreaInspectDtl> SaAreaInspectDtlDb { get { return Db.GetSimpleClient<SaAreaInspectDtl>(); } }//用来处理SaAreaInspectDtl表的常用操作
    public SimpleClient<SaRoom> SaRoomDb { get { return Db.GetSimpleClient<SaRoom>(); } }//用来处理SaRoom表的常用操作
    public SimpleClient<PingFenItem> PingFenItemDb { get { return Db.GetSimpleClient<PingFenItem>(); } }//用来处理PingFenItem表的常用操作
    public SimpleClient<PrRenInspection> PrRenInspectionDb { get { return Db.GetSimpleClient<PrRenInspection>(); } }//用来处理PrRenInspection表的常用操作
    public SimpleClient<BiddingMessageDetail> BiddingMessageDetailDb { get { return Db.GetSimpleClient<BiddingMessageDetail>(); } }//用来处理BiddingMessageDetail表的常用操作
    public SimpleClient<Requisition> RequisitionDb { get { return Db.GetSimpleClient<Requisition>(); } }//用来处理Requisition表的常用操作
    public SimpleClient<pmPaymentDeductMoney> pmPaymentDeductMoneyDb { get { return Db.GetSimpleClient<pmPaymentDeductMoney>(); } }//用来处理pmPaymentDeductMoney表的常用操作
    public SimpleClient<SaRePaymodePaymentDtl> SaRePaymodePaymentDtlDb { get { return Db.GetSimpleClient<SaRePaymodePaymentDtl>(); } }//用来处理SaRePaymodePaymentDtl表的常用操作
    public SimpleClient<PurchaseFlow> PurchaseFlowDb { get { return Db.GetSimpleClient<PurchaseFlow>(); } }//用来处理PurchaseFlow表的常用操作
    public SimpleClient<SaSalesFeeRule> SaSalesFeeRuleDb { get { return Db.GetSimpleClient<SaSalesFeeRule>(); } }//用来处理SaSalesFeeRule表的常用操作
    public SimpleClient<SaDktLog> SaDktLogDb { get { return Db.GetSimpleClient<SaDktLog>(); } }//用来处理SaDktLog表的常用操作
    public SimpleClient<TaskPlan> TaskPlanDb { get { return Db.GetSimpleClient<TaskPlan>(); } }//用来处理TaskPlan表的常用操作
    public SimpleClient<CostBudgetDtl> CostBudgetDtlDb { get { return Db.GetSimpleClient<CostBudgetDtl>(); } }//用来处理CostBudgetDtl表的常用操作
    public SimpleClient<StyleInfo> StyleInfoDb { get { return Db.GetSimpleClient<StyleInfo>(); } }//用来处理StyleInfo表的常用操作
    public SimpleClient<SaClient> SaClientDb { get { return Db.GetSimpleClient<SaClient>(); } }//用来处理SaClient表的常用操作
    public SimpleClient<ContractCostContractPlan> ContractCostContractPlanDb { get { return Db.GetSimpleClient<ContractCostContractPlan>(); } }//用来处理ContractCostContractPlan表的常用操作
    public SimpleClient<PrRenInspectionDtl> PrRenInspectionDtlDb { get { return Db.GetSimpleClient<PrRenInspectionDtl>(); } }//用来处理PrRenInspectionDtl表的常用操作
    public SimpleClient<prOperateContractObject> prOperateContractObjectDb { get { return Db.GetSimpleClient<prOperateContractObject>(); } }//用来处理prOperateContractObject表的常用操作
    public SimpleClient<Cost> CostDb { get { return Db.GetSimpleClient<Cost>(); } }//用来处理Cost表的常用操作
    public SimpleClient<pmPaymentForPay> pmPaymentForPayDb { get { return Db.GetSimpleClient<pmPaymentForPay>(); } }//用来处理pmPaymentForPay表的常用操作
    public SimpleClient<RptFinOut> RptFinOutDb { get { return Db.GetSimpleClient<RptFinOut>(); } }//用来处理RptFinOut表的常用操作
    public SimpleClient<SaRentContractBSure> SaRentContractBSureDb { get { return Db.GetSimpleClient<SaRentContractBSure>(); } }//用来处理SaRentContractBSure表的常用操作
    public SimpleClient<pmAppraisalReportDetail> pmAppraisalReportDetailDb { get { return Db.GetSimpleClient<pmAppraisalReportDetail>(); } }//用来处理pmAppraisalReportDetail表的常用操作
    public SimpleClient<PrVoucherDtl> PrVoucherDtlDb { get { return Db.GetSimpleClient<PrVoucherDtl>(); } }//用来处理PrVoucherDtl表的常用操作
    public SimpleClient<SysCode> SysCodeDb { get { return Db.GetSimpleClient<SysCode>(); } }//用来处理SysCode表的常用操作
    public SimpleClient<DesignChanges> DesignChangesDb { get { return Db.GetSimpleClient<DesignChanges>(); } }//用来处理DesignChanges表的常用操作
    public SimpleClient<apAttachment> apAttachmentDb { get { return Db.GetSimpleClient<apAttachment>(); } }//用来处理apAttachment表的常用操作
    public SimpleClient<SaHeSuanProjectPay> SaHeSuanProjectPayDb { get { return Db.GetSimpleClient<SaHeSuanProjectPay>(); } }//用来处理SaHeSuanProjectPay表的常用操作
    public SimpleClient<ContractCost> ContractCostDb { get { return Db.GetSimpleClient<ContractCost>(); } }//用来处理ContractCost表的常用操作
    public SimpleClient<SaDiscountReport> SaDiscountReportDb { get { return Db.GetSimpleClient<SaDiscountReport>(); } }//用来处理SaDiscountReport表的常用操作
    public SimpleClient<prDevPlanMaster> prDevPlanMasterDb { get { return Db.GetSimpleClient<prDevPlanMaster>(); } }//用来处理prDevPlanMaster表的常用操作
    public SimpleClient<SaFitmentPackageOption> SaFitmentPackageOptionDb { get { return Db.GetSimpleClient<SaFitmentPackageOption>(); } }//用来处理SaFitmentPackageOption表的常用操作
    public SimpleClient<pmQualificationGrade> pmQualificationGradeDb { get { return Db.GetSimpleClient<pmQualificationGrade>(); } }//用来处理pmQualificationGrade表的常用操作
    public SimpleClient<CostEstimateCheck> CostEstimateCheckDb { get { return Db.GetSimpleClient<CostEstimateCheck>(); } }//用来处理CostEstimateCheck表的常用操作
    public SimpleClient<pmCostSplitPaymentItem> pmCostSplitPaymentItemDb { get { return Db.GetSimpleClient<pmCostSplitPaymentItem>(); } }//用来处理pmCostSplitPaymentItem表的常用操作
    public SimpleClient<PurchaseFlowCheckList> PurchaseFlowCheckListDb { get { return Db.GetSimpleClient<PurchaseFlowCheckList>(); } }//用来处理PurchaseFlowCheckList表的常用操作
    public SimpleClient<DictionaryItemPre> DictionaryItemPreDb { get { return Db.GetSimpleClient<DictionaryItemPre>(); } }//用来处理DictionaryItemPre表的常用操作
    public SimpleClient<GradeMessage> GradeMessageDb { get { return Db.GetSimpleClient<GradeMessage>(); } }//用来处理GradeMessage表的常用操作
    public SimpleClient<SaMeterDtl> SaMeterDtlDb { get { return Db.GetSimpleClient<SaMeterDtl>(); } }//用来处理SaMeterDtl表的常用操作
    public SimpleClient<SendMsg> SendMsgDb { get { return Db.GetSimpleClient<SendMsg>(); } }//用来处理SendMsg表的常用操作
    public SimpleClient<SaUnknowContact> SaUnknowContactDb { get { return Db.GetSimpleClient<SaUnknowContact>(); } }//用来处理SaUnknowContact表的常用操作
    public SimpleClient<ContractValueDtl> ContractValueDtlDb { get { return Db.GetSimpleClient<ContractValueDtl>(); } }//用来处理ContractValueDtl表的常用操作
    public SimpleClient<SaPrivileges> SaPrivilegesDb { get { return Db.GetSimpleClient<SaPrivileges>(); } }//用来处理SaPrivileges表的常用操作
    public SimpleClient<WorkFlowDataPackage> WorkFlowDataPackageDb { get { return Db.GetSimpleClient<WorkFlowDataPackage>(); } }//用来处理WorkFlowDataPackage表的常用操作
    public SimpleClient<SaBuildingExtra> SaBuildingExtraDb { get { return Db.GetSimpleClient<SaBuildingExtra>(); } }//用来处理SaBuildingExtra表的常用操作
    public SimpleClient<PrManagementAccount> PrManagementAccountDb { get { return Db.GetSimpleClient<PrManagementAccount>(); } }//用来处理PrManagementAccount表的常用操作
    public SimpleClient<BiddingOpen> BiddingOpenDb { get { return Db.GetSimpleClient<BiddingOpen>(); } }//用来处理BiddingOpen表的常用操作
    public SimpleClient<saBuildingPriceGroup> saBuildingPriceGroupDb { get { return Db.GetSimpleClient<saBuildingPriceGroup>(); } }//用来处理saBuildingPriceGroup表的常用操作
    public SimpleClient<SaDiscountReportRecords> SaDiscountReportRecordsDb { get { return Db.GetSimpleClient<SaDiscountReportRecords>(); } }//用来处理SaDiscountReportRecords表的常用操作
    public SimpleClient<PrRenItem> PrRenItemDb { get { return Db.GetSimpleClient<PrRenItem>(); } }//用来处理PrRenItem表的常用操作
    public SimpleClient<SaPrintTemplateTDField> SaPrintTemplateTDFieldDb { get { return Db.GetSimpleClient<SaPrintTemplateTDField>(); } }//用来处理SaPrintTemplateTDField表的常用操作
    public SimpleClient<SaPeriod> SaPeriodDb { get { return Db.GetSimpleClient<SaPeriod>(); } }//用来处理SaPeriod表的常用操作
    public SimpleClient<UserOnline> UserOnlineDb { get { return Db.GetSimpleClient<UserOnline>(); } }//用来处理UserOnline表的常用操作
    public SimpleClient<ZSystemUser> ZSystemUserDb { get { return Db.GetSimpleClient<ZSystemUser>(); } }//用来处理ZSystemUser表的常用操作
    public SimpleClient<DeskTopType> DeskTopTypeDb { get { return Db.GetSimpleClient<DeskTopType>(); } }//用来处理DeskTopType表的常用操作
    public SimpleClient<TaskRelated> TaskRelatedDb { get { return Db.GetSimpleClient<TaskRelated>(); } }//用来处理TaskRelated表的常用操作
    public SimpleClient<SMS_SendInfo> SMS_SendInfoDb { get { return Db.GetSimpleClient<SMS_SendInfo>(); } }//用来处理SMS_SendInfo表的常用操作
    public SimpleClient<pmContractValueQuantities> pmContractValueQuantitiesDb { get { return Db.GetSimpleClient<pmContractValueQuantities>(); } }//用来处理pmContractValueQuantities表的常用操作
    public SimpleClient<SaFitmentType> SaFitmentTypeDb { get { return Db.GetSimpleClient<SaFitmentType>(); } }//用来处理SaFitmentType表的常用操作
    public SimpleClient<PingFenTemplate> PingFenTemplateDb { get { return Db.GetSimpleClient<PingFenTemplate>(); } }//用来处理PingFenTemplate表的常用操作
    public SimpleClient<SaChamber> SaChamberDb { get { return Db.GetSimpleClient<SaChamber>(); } }//用来处理SaChamber表的常用操作
    public SimpleClient<saBuildingPriceGroupDetails> saBuildingPriceGroupDetailsDb { get { return Db.GetSimpleClient<saBuildingPriceGroupDetails>(); } }//用来处理saBuildingPriceGroupDetails表的常用操作
    public SimpleClient<SaReceiptVAT> SaReceiptVATDb { get { return Db.GetSimpleClient<SaReceiptVAT>(); } }//用来处理SaReceiptVAT表的常用操作
    public SimpleClient<PrRoomClientAccount> PrRoomClientAccountDb { get { return Db.GetSimpleClient<PrRoomClientAccount>(); } }//用来处理PrRoomClientAccount表的常用操作
    public SimpleClient<prCopyMeterDtl> prCopyMeterDtlDb { get { return Db.GetSimpleClient<prCopyMeterDtl>(); } }//用来处理prCopyMeterDtl表的常用操作
    public SimpleClient<PrChargeSubjectAccount> PrChargeSubjectAccountDb { get { return Db.GetSimpleClient<PrChargeSubjectAccount>(); } }//用来处理PrChargeSubjectAccount表的常用操作
    public SimpleClient<GroundWork> GroundWorkDb { get { return Db.GetSimpleClient<GroundWork>(); } }//用来处理GroundWork表的常用操作
    public SimpleClient<prServiceArt> prServiceArtDb { get { return Db.GetSimpleClient<prServiceArt>(); } }//用来处理prServiceArt表的常用操作
    public SimpleClient<SaRentContractBOver> SaRentContractBOverDb { get { return Db.GetSimpleClient<SaRentContractBOver>(); } }//用来处理SaRentContractBOver表的常用操作
    public SimpleClient<NewMaterialMarketPrice> NewMaterialMarketPriceDb { get { return Db.GetSimpleClient<NewMaterialMarketPrice>(); } }//用来处理NewMaterialMarketPrice表的常用操作
    public SimpleClient<TaskChange> TaskChangeDb { get { return Db.GetSimpleClient<TaskChange>(); } }//用来处理TaskChange表的常用操作
    public SimpleClient<SaContractAfterSale> SaContractAfterSaleDb { get { return Db.GetSimpleClient<SaContractAfterSale>(); } }//用来处理SaContractAfterSale表的常用操作
    public SimpleClient<SaFitmentPackage> SaFitmentPackageDb { get { return Db.GetSimpleClient<SaFitmentPackage>(); } }//用来处理SaFitmentPackage表的常用操作
    public SimpleClient<SaBill> SaBillDb { get { return Db.GetSimpleClient<SaBill>(); } }//用来处理SaBill表的常用操作
    public SimpleClient<SaDiscountReportOptionBuildDtl> SaDiscountReportOptionBuildDtlDb { get { return Db.GetSimpleClient<SaDiscountReportOptionBuildDtl>(); } }//用来处理SaDiscountReportOptionBuildDtl表的常用操作
    public SimpleClient<SaClientIntentRoom> SaClientIntentRoomDb { get { return Db.GetSimpleClient<SaClientIntentRoom>(); } }//用来处理SaClientIntentRoom表的常用操作
    public SimpleClient<SaReceiptVATDtl> SaReceiptVATDtlDb { get { return Db.GetSimpleClient<SaReceiptVATDtl>(); } }//用来处理SaReceiptVATDtl表的常用操作
    public SimpleClient<SaPayPlanDateDelay> SaPayPlanDateDelayDb { get { return Db.GetSimpleClient<SaPayPlanDateDelay>(); } }//用来处理SaPayPlanDateDelay表的常用操作
    public SimpleClient<PurchaseFlowAccessory> PurchaseFlowAccessoryDb { get { return Db.GetSimpleClient<PurchaseFlowAccessory>(); } }//用来处理PurchaseFlowAccessory表的常用操作
    public SimpleClient<SaInspectModelDtl> SaInspectModelDtlDb { get { return Db.GetSimpleClient<SaInspectModelDtl>(); } }//用来处理SaInspectModelDtl表的常用操作
    public SimpleClient<SystemUserSubjectSet> SystemUserSubjectSetDb { get { return Db.GetSimpleClient<SystemUserSubjectSet>(); } }//用来处理SystemUserSubjectSet表的常用操作
    public SimpleClient<BiddingPrejudication> BiddingPrejudicationDb { get { return Db.GetSimpleClient<BiddingPrejudication>(); } }//用来处理BiddingPrejudication表的常用操作
    public SimpleClient<StyleList> StyleListDb { get { return Db.GetSimpleClient<StyleList>(); } }//用来处理StyleList表的常用操作
    public SimpleClient<SaRentBillPre> SaRentBillPreDb { get { return Db.GetSimpleClient<SaRentBillPre>(); } }//用来处理SaRentBillPre表的常用操作
    public SimpleClient<tblTable> tblTableDb { get { return Db.GetSimpleClient<tblTable>(); } }//用来处理tblTable表的常用操作
    public SimpleClient<SaAfterSaleLink> SaAfterSaleLinkDb { get { return Db.GetSimpleClient<SaAfterSaleLink>(); } }//用来处理SaAfterSaleLink表的常用操作
    public SimpleClient<saOrders> saOrdersDb { get { return Db.GetSimpleClient<saOrders>(); } }//用来处理saOrders表的常用操作
    public SimpleClient<SaPMBuildingRela> SaPMBuildingRelaDb { get { return Db.GetSimpleClient<SaPMBuildingRela>(); } }//用来处理SaPMBuildingRela表的常用操作
    public SimpleClient<SaFloor> SaFloorDb { get { return Db.GetSimpleClient<SaFloor>(); } }//用来处理SaFloor表的常用操作
    public SimpleClient<saBuildingPriceElement> saBuildingPriceElementDb { get { return Db.GetSimpleClient<saBuildingPriceElement>(); } }//用来处理saBuildingPriceElement表的常用操作
    public SimpleClient<SaPayPlan> SaPayPlanDb { get { return Db.GetSimpleClient<SaPayPlan>(); } }//用来处理SaPayPlan表的常用操作
    public SimpleClient<SaPayPlanDateDelayDtl> SaPayPlanDateDelayDtlDb { get { return Db.GetSimpleClient<SaPayPlanDateDelayDtl>(); } }//用来处理SaPayPlanDateDelayDtl表的常用操作
    public SimpleClient<SaQuestion> SaQuestionDb { get { return Db.GetSimpleClient<SaQuestion>(); } }//用来处理SaQuestion表的常用操作
    public SimpleClient<CostBudgetSetArea> CostBudgetSetAreaDb { get { return Db.GetSimpleClient<CostBudgetSetArea>(); } }//用来处理CostBudgetSetArea表的常用操作
    public SimpleClient<apPushInfoSend> apPushInfoSendDb { get { return Db.GetSimpleClient<apPushInfoSend>(); } }//用来处理apPushInfoSend表的常用操作
    public SimpleClient<UserMobileDevice> UserMobileDeviceDb { get { return Db.GetSimpleClient<UserMobileDevice>(); } }//用来处理UserMobileDevice表的常用操作
    public SimpleClient<SaMemberAct> SaMemberActDb { get { return Db.GetSimpleClient<SaMemberAct>(); } }//用来处理SaMemberAct表的常用操作
    public SimpleClient<ExchangeRate> ExchangeRateDb { get { return Db.GetSimpleClient<ExchangeRate>(); } }//用来处理ExchangeRate表的常用操作
    public SimpleClient<SM_InquirePlan> SM_InquirePlanDb { get { return Db.GetSimpleClient<SM_InquirePlan>(); } }//用来处理SM_InquirePlan表的常用操作
    public SimpleClient<SaAfterSalePayMode> SaAfterSalePayModeDb { get { return Db.GetSimpleClient<SaAfterSalePayMode>(); } }//用来处理SaAfterSalePayMode表的常用操作
    public SimpleClient<SaContract> SaContractDb { get { return Db.GetSimpleClient<SaContract>(); } }//用来处理SaContract表的常用操作
    public SimpleClient<SaRentPumpSetDtl> SaRentPumpSetDtlDb { get { return Db.GetSimpleClient<SaRentPumpSetDtl>(); } }//用来处理SaRentPumpSetDtl表的常用操作
    public SimpleClient<SaRoomPriceSetDtl> SaRoomPriceSetDtlDb { get { return Db.GetSimpleClient<SaRoomPriceSetDtl>(); } }//用来处理SaRoomPriceSetDtl表的常用操作
    public SimpleClient<SMS_WFActRemindlog> SMS_WFActRemindlogDb { get { return Db.GetSimpleClient<SMS_WFActRemindlog>(); } }//用来处理SMS_WFActRemindlog表的常用操作
    public SimpleClient<SaRentVirtualRelation> SaRentVirtualRelationDb { get { return Db.GetSimpleClient<SaRentVirtualRelation>(); } }//用来处理SaRentVirtualRelation表的常用操作
    public SimpleClient<SaCarryOver> SaCarryOverDb { get { return Db.GetSimpleClient<SaCarryOver>(); } }//用来处理SaCarryOver表的常用操作
    public SimpleClient<pmAppraisalProcedure> pmAppraisalProcedureDb { get { return Db.GetSimpleClient<pmAppraisalProcedure>(); } }//用来处理pmAppraisalProcedure表的常用操作
    public SimpleClient<CostBudgetSetRule> CostBudgetSetRuleDb { get { return Db.GetSimpleClient<CostBudgetSetRule>(); } }//用来处理CostBudgetSetRule表的常用操作
    public SimpleClient<WorkFlowAttachmentType> WorkFlowAttachmentTypeDb { get { return Db.GetSimpleClient<WorkFlowAttachmentType>(); } }//用来处理WorkFlowAttachmentType表的常用操作
    public SimpleClient<SaResearch> SaResearchDb { get { return Db.GetSimpleClient<SaResearch>(); } }//用来处理SaResearch表的常用操作
    public SimpleClient<Unit> UnitDb { get { return Db.GetSimpleClient<Unit>(); } }//用来处理Unit表的常用操作
    public SimpleClient<SaQuestionPre> SaQuestionPreDb { get { return Db.GetSimpleClient<SaQuestionPre>(); } }//用来处理SaQuestionPre表的常用操作
    public SimpleClient<SaMeterHB> SaMeterHBDb { get { return Db.GetSimpleClient<SaMeterHB>(); } }//用来处理SaMeterHB表的常用操作
    public SimpleClient<BiddingReturn> BiddingReturnDb { get { return Db.GetSimpleClient<BiddingReturn>(); } }//用来处理BiddingReturn表的常用操作
    public SimpleClient<SaClientAnswer> SaClientAnswerDb { get { return Db.GetSimpleClient<SaClientAnswer>(); } }//用来处理SaClientAnswer表的常用操作
    public SimpleClient<WorkFlowOpinion> WorkFlowOpinionDb { get { return Db.GetSimpleClient<WorkFlowOpinion>(); } }//用来处理WorkFlowOpinion表的常用操作
    public SimpleClient<DictionaryItem> DictionaryItemDb { get { return Db.GetSimpleClient<DictionaryItem>(); } }//用来处理DictionaryItem表的常用操作
    public SimpleClient<SMS_WFProcedureConfig> SMS_WFProcedureConfigDb { get { return Db.GetSimpleClient<SMS_WFProcedureConfig>(); } }//用来处理SMS_WFProcedureConfig表的常用操作
    public SimpleClient<SaRoomOwner> SaRoomOwnerDb { get { return Db.GetSimpleClient<SaRoomOwner>(); } }//用来处理SaRoomOwner表的常用操作
    public SimpleClient<SaPaymentReminder> SaPaymentReminderDb { get { return Db.GetSimpleClient<SaPaymentReminder>(); } }//用来处理SaPaymentReminder表的常用操作
    public SimpleClient<PurchaseFlowDetail> PurchaseFlowDetailDb { get { return Db.GetSimpleClient<PurchaseFlowDetail>(); } }//用来处理PurchaseFlowDetail表的常用操作
    public SimpleClient<SaRentPaymentDtlBillExtra> SaRentPaymentDtlBillExtraDb { get { return Db.GetSimpleClient<SaRentPaymentDtlBillExtra>(); } }//用来处理SaRentPaymentDtlBillExtra表的常用操作
    public SimpleClient<InquirePrice> InquirePriceDb { get { return Db.GetSimpleClient<InquirePrice>(); } }//用来处理InquirePrice表的常用操作
    public SimpleClient<SaVoucher> SaVoucherDb { get { return Db.GetSimpleClient<SaVoucher>(); } }//用来处理SaVoucher表的常用操作
    public SimpleClient<PrRoomClient> PrRoomClientDb { get { return Db.GetSimpleClient<PrRoomClient>(); } }//用来处理PrRoomClient表的常用操作
    public SimpleClient<TaskUnitProject> TaskUnitProjectDb { get { return Db.GetSimpleClient<TaskUnitProject>(); } }//用来处理TaskUnitProject表的常用操作
    public SimpleClient<pmCostBudgetSummary> pmCostBudgetSummaryDb { get { return Db.GetSimpleClient<pmCostBudgetSummary>(); } }//用来处理pmCostBudgetSummary表的常用操作
    public SimpleClient<BiddingEmitCancel> BiddingEmitCancelDb { get { return Db.GetSimpleClient<BiddingEmitCancel>(); } }//用来处理BiddingEmitCancel表的常用操作
    public SimpleClient<SaClientAnswerDtl> SaClientAnswerDtlDb { get { return Db.GetSimpleClient<SaClientAnswerDtl>(); } }//用来处理SaClientAnswerDtl表的常用操作
    public SimpleClient<pmPublicShareSet> pmPublicShareSetDb { get { return Db.GetSimpleClient<pmPublicShareSet>(); } }//用来处理pmPublicShareSet表的常用操作
    public SimpleClient<SaRentBillTemplateDtl> SaRentBillTemplateDtlDb { get { return Db.GetSimpleClient<SaRentBillTemplateDtl>(); } }//用来处理SaRentBillTemplateDtl表的常用操作
    public SimpleClient<SaRoomExtra> SaRoomExtraDb { get { return Db.GetSimpleClient<SaRoomExtra>(); } }//用来处理SaRoomExtra表的常用操作
    public SimpleClient<prStock> prStockDb { get { return Db.GetSimpleClient<prStock>(); } }//用来处理prStock表的常用操作
    public SimpleClient<BudgetMonth> BudgetMonthDb { get { return Db.GetSimpleClient<BudgetMonth>(); } }//用来处理BudgetMonth表的常用操作
    public SimpleClient<SaMeterRecord> SaMeterRecordDb { get { return Db.GetSimpleClient<SaMeterRecord>(); } }//用来处理SaMeterRecord表的常用操作
    public SimpleClient<SaInspectGradeDtl> SaInspectGradeDtlDb { get { return Db.GetSimpleClient<SaInspectGradeDtl>(); } }//用来处理SaInspectGradeDtl表的常用操作
    public SimpleClient<TCheckPayment> TCheckPaymentDb { get { return Db.GetSimpleClient<TCheckPayment>(); } }//用来处理TCheckPayment表的常用操作
    public SimpleClient<SMS_Config> SMS_ConfigDb { get { return Db.GetSimpleClient<SMS_Config>(); } }//用来处理SMS_Config表的常用操作
    public SimpleClient<apUser> apUserDb { get { return Db.GetSimpleClient<apUser>(); } }//用来处理apUser表的常用操作
    public SimpleClient<SM_NewSupplierCheck> SM_NewSupplierCheckDb { get { return Db.GetSimpleClient<SM_NewSupplierCheck>(); } }//用来处理SM_NewSupplierCheck表的常用操作
    public SimpleClient<BiddingEmitCancelSupplier> BiddingEmitCancelSupplierDb { get { return Db.GetSimpleClient<BiddingEmitCancelSupplier>(); } }//用来处理BiddingEmitCancelSupplier表的常用操作
    public SimpleClient<CBS> CBSDb { get { return Db.GetSimpleClient<CBS>(); } }//用来处理CBS表的常用操作
    public SimpleClient<prChargeNoticeDtl> prChargeNoticeDtlDb { get { return Db.GetSimpleClient<prChargeNoticeDtl>(); } }//用来处理prChargeNoticeDtl表的常用操作
    public SimpleClient<ConstructProgressRisk> ConstructProgressRiskDb { get { return Db.GetSimpleClient<ConstructProgressRisk>(); } }//用来处理ConstructProgressRisk表的常用操作
    public SimpleClient<SaIntent> SaIntentDb { get { return Db.GetSimpleClient<SaIntent>(); } }//用来处理SaIntent表的常用操作
    public SimpleClient<NewProdcutMaterialSkillDoc> NewProdcutMaterialSkillDocDb { get { return Db.GetSimpleClient<NewProdcutMaterialSkillDoc>(); } }//用来处理NewProdcutMaterialSkillDoc表的常用操作

    public SimpleClient<PurchaseFlowInvite> PurchaseFlowInviteDb { get { return Db.GetSimpleClient<PurchaseFlowInvite>(); } }//用来处理PurchaseFlowInvite表的常用操作
    public SimpleClient<SaMemberActDtl> SaMemberActDtlDb { get { return Db.GetSimpleClient<SaMemberActDtl>(); } }//用来处理SaMemberActDtl表的常用操作
    public SimpleClient<SystemClass> SystemClassDb { get { return Db.GetSimpleClient<SystemClass>(); } }//用来处理SystemClass表的常用操作
    public SimpleClient<Vise> ViseDb { get { return Db.GetSimpleClient<Vise>(); } }//用来处理Vise表的常用操作
    public SimpleClient<SubjectSetConfig> SubjectSetConfigDb { get { return Db.GetSimpleClient<SubjectSetConfig>(); } }//用来处理SubjectSetConfig表的常用操作
    public SimpleClient<ContractWBS> ContractWBSDb { get { return Db.GetSimpleClient<ContractWBS>(); } }//用来处理ContractWBS表的常用操作
    public SimpleClient<AccountSubject> AccountSubjectDb { get { return Db.GetSimpleClient<AccountSubject>(); } }//用来处理AccountSubject表的常用操作
    public SimpleClient<BiddingDtl> BiddingDtlDb { get { return Db.GetSimpleClient<BiddingDtl>(); } }//用来处理BiddingDtl表的常用操作
    public SimpleClient<PreTask> PreTaskDb { get { return Db.GetSimpleClient<PreTask>(); } }//用来处理PreTask表的常用操作
    public SimpleClient<SaQuestionItems> SaQuestionItemsDb { get { return Db.GetSimpleClient<SaQuestionItems>(); } }//用来处理SaQuestionItems表的常用操作
    public SimpleClient<SaMemberPoint> SaMemberPointDb { get { return Db.GetSimpleClient<SaMemberPoint>(); } }//用来处理SaMemberPoint表的常用操作
    public SimpleClient<SaMemberPointOption> SaMemberPointOptionDb { get { return Db.GetSimpleClient<SaMemberPointOption>(); } }//用来处理SaMemberPointOption表的常用操作   
    public SimpleClient<ContractAccount> ContractAccountDb { get { return Db.GetSimpleClient<ContractAccount>(); } }//用来处理ContractAccount表的常用操作
    public SimpleClient<StationDesktop> StationDesktopDb { get { return Db.GetSimpleClient<StationDesktop>(); } }//用来处理StationDesktop表的常用操作
    public SimpleClient<TCheckPaymentSum> TCheckPaymentSumDb { get { return Db.GetSimpleClient<TCheckPaymentSum>(); } }//用来处理TCheckPaymentSum表的常用操作
    public SimpleClient<PIC_STORE> PIC_STOREDb { get { return Db.GetSimpleClient<PIC_STORE>(); } }//用来处理PIC_STORE表的常用操作
    public SimpleClient<prMaterialDetail> prMaterialDetailDb { get { return Db.GetSimpleClient<prMaterialDetail>(); } }//用来处理prMaterialDetail表的常用操作
    public SimpleClient<PrBuilding> PrBuildingDb { get { return Db.GetSimpleClient<PrBuilding>(); } }//用来处理PrBuilding表的常用操作
    public SimpleClient<CashFlow> CashFlowDb { get { return Db.GetSimpleClient<CashFlow>(); } }//用来处理CashFlow表的常用操作
    public SimpleClient<BiddingEmit> BiddingEmitDb { get { return Db.GetSimpleClient<BiddingEmit>(); } }//用来处理BiddingEmit表的常用操作
    public SimpleClient<BiddingDtlContractPlan> BiddingDtlContractPlanDb { get { return Db.GetSimpleClient<BiddingDtlContractPlan>(); } }//用来处理BiddingDtlContractPlan表的常用操作
    public SimpleClient<SaContactAnswerDtl> SaContactAnswerDtlDb { get { return Db.GetSimpleClient<SaContactAnswerDtl>(); } }//用来处理SaContactAnswerDtl表的常用操作
    public SimpleClient<SaAreaChange> SaAreaChangeDb { get { return Db.GetSimpleClient<SaAreaChange>(); } }//用来处理SaAreaChange表的常用操作
    public SimpleClient<BiddingDtlAuditing> BiddingDtlAuditingDb { get { return Db.GetSimpleClient<BiddingDtlAuditing>(); } }//用来处理BiddingDtlAuditing表的常用操作
    public SimpleClient<BudgetYear> BudgetYearDb { get { return Db.GetSimpleClient<BudgetYear>(); } }//用来处理BudgetYear表的常用操作
    public SimpleClient<PurchaseFlowOpinion> PurchaseFlowOpinionDb { get { return Db.GetSimpleClient<PurchaseFlowOpinion>(); } }//用来处理PurchaseFlowOpinion表的常用操作
    public SimpleClient<pmTaxpayer> pmTaxpayerDb { get { return Db.GetSimpleClient<pmTaxpayer>(); } }//用来处理pmTaxpayer表的常用操作
    public SimpleClient<InvestVoucher> InvestVoucherDb { get { return Db.GetSimpleClient<InvestVoucher>(); } }//用来处理InvestVoucher表的常用操作
    public SimpleClient<prFreePeriod> prFreePeriodDb { get { return Db.GetSimpleClient<prFreePeriod>(); } }//用来处理prFreePeriod表的常用操作
    public SimpleClient<systemuserForBQ> systemuserForBQDb { get { return Db.GetSimpleClient<systemuserForBQ>(); } }//用来处理systemuserForBQ表的常用操作
    public SimpleClient<pmMonthReport> pmMonthReportDb { get { return Db.GetSimpleClient<pmMonthReport>(); } }//用来处理pmMonthReport表的常用操作
    public SimpleClient<BankAccount> BankAccountDb { get { return Db.GetSimpleClient<BankAccount>(); } }//用来处理BankAccount表的常用操作
    public SimpleClient<pmBiddingDepositGet> pmBiddingDepositGetDb { get { return Db.GetSimpleClient<pmBiddingDepositGet>(); } }//用来处理pmBiddingDepositGet表的常用操作
    public SimpleClient<prDevPlanDetail> prDevPlanDetailDb { get { return Db.GetSimpleClient<prDevPlanDetail>(); } }//用来处理prDevPlanDetail表的常用操作
    public SimpleClient<SaClientAnswers> SaClientAnswersDb { get { return Db.GetSimpleClient<SaClientAnswers>(); } }//用来处理SaClientAnswers表的常用操作
    public SimpleClient<SaRoomAttach> SaRoomAttachDb { get { return Db.GetSimpleClient<SaRoomAttach>(); } }//用来处理SaRoomAttach表的常用操作
    public SimpleClient<prHouseHoldsGoods> prHouseHoldsGoodsDb { get { return Db.GetSimpleClient<prHouseHoldsGoods>(); } }//用来处理prHouseHoldsGoods表的常用操作
    public SimpleClient<PayoutItem> PayoutItemDb { get { return Db.GetSimpleClient<PayoutItem>(); } }//用来处理PayoutItem表的常用操作
    public SimpleClient<SaMeterHistory> SaMeterHistoryDb { get { return Db.GetSimpleClient<SaMeterHistory>(); } }//用来处理SaMeterHistory表的常用操作
    public SimpleClient<StationArea> StationAreaDb { get { return Db.GetSimpleClient<StationArea>(); } }//用来处理StationArea表的常用操作
    public SimpleClient<pmMonthReportPersonal> pmMonthReportPersonalDb { get { return Db.GetSimpleClient<pmMonthReportPersonal>(); } }//用来处理pmMonthReportPersonal表的常用操作
    public SimpleClient<PBSUnit> PBSUnitDb { get { return Db.GetSimpleClient<PBSUnit>(); } }//用来处理PBSUnit表的常用操作
    public SimpleClient<SaDktSend> SaDktSendDb { get { return Db.GetSimpleClient<SaDktSend>(); } }//用来处理SaDktSend表的常用操作
    public SimpleClient<SaDeductionPerson> SaDeductionPersonDb { get { return Db.GetSimpleClient<SaDeductionPerson>(); } }//用来处理SaDeductionPerson表的常用操作
    public SimpleClient<AccountType> AccountTypeDb { get { return Db.GetSimpleClient<AccountType>(); } }//用来处理AccountType表的常用操作
    public SimpleClient<BiddingCost> BiddingCostDb { get { return Db.GetSimpleClient<BiddingCost>(); } }//用来处理BiddingCost表的常用操作
    public SimpleClient<WorkFlowProcedure> WorkFlowProcedureDb { get { return Db.GetSimpleClient<WorkFlowProcedure>(); } }//用来处理WorkFlowProcedure表的常用操作
    public SimpleClient<SaVisitAnswerDtl> SaVisitAnswerDtlDb { get { return Db.GetSimpleClient<SaVisitAnswerDtl>(); } }//用来处理SaVisitAnswerDtl表的常用操作
    public SimpleClient<SaRentBillCuz> SaRentBillCuzDb { get { return Db.GetSimpleClient<SaRentBillCuz>(); } }//用来处理SaRentBillCuz表的常用操作
    public SimpleClient<SaSaleControl> SaSaleControlDb { get { return Db.GetSimpleClient<SaSaleControl>(); } }//用来处理SaSaleControl表的常用操作
    public SimpleClient<SaRentPumpContractSetExtra> SaRentPumpContractSetExtraDb { get { return Db.GetSimpleClient<SaRentPumpContractSetExtra>(); } }//用来处理SaRentPumpContractSetExtra表的常用操作
    public SimpleClient<pmCostSplitPayoutItem> pmCostSplitPayoutItemDb { get { return Db.GetSimpleClient<pmCostSplitPayoutItem>(); } }//用来处理pmCostSplitPayoutItem表的常用操作
    public SimpleClient<PurchaseFlowSelSupply> PurchaseFlowSelSupplyDb { get { return Db.GetSimpleClient<PurchaseFlowSelSupply>(); } }//用来处理PurchaseFlowSelSupply表的常用操作
    public SimpleClient<FundPlanSetDetail> FundPlanSetDetailDb { get { return Db.GetSimpleClient<FundPlanSetDetail>(); } }//用来处理FundPlanSetDetail表的常用操作
    public SimpleClient<SystemType> SystemTypeDb { get { return Db.GetSimpleClient<SystemType>(); } }//用来处理SystemType表的常用操作
    public SimpleClient<prServiceMat> prServiceMatDb { get { return Db.GetSimpleClient<prServiceMat>(); } }//用来处理prServiceMat表的常用操作
    public SimpleClient<Document> DocumentDb { get { return Db.GetSimpleClient<Document>(); } }//用来处理Document表的常用操作
    public SimpleClient<SM_NewSupplierCheckDtl> SM_NewSupplierCheckDtlDb { get { return Db.GetSimpleClient<SM_NewSupplierCheckDtl>(); } }//用来处理SM_NewSupplierCheckDtl表的常用操作
    public SimpleClient<SaVoucherType> SaVoucherTypeDb { get { return Db.GetSimpleClient<SaVoucherType>(); } }//用来处理SaVoucherType表的常用操作
    public SimpleClient<BiddingPreTrial> BiddingPreTrialDb { get { return Db.GetSimpleClient<BiddingPreTrial>(); } }//用来处理BiddingPreTrial表的常用操作
    public SimpleClient<Project> ProjectDb { get { return Db.GetSimpleClient<Project>(); } }//用来处理Project表的常用操作
    public SimpleClient<pmAppraisalReport> pmAppraisalReportDb { get { return Db.GetSimpleClient<pmAppraisalReport>(); } }//用来处理pmAppraisalReport表的常用操作
    public SimpleClient<SaRentBillCuzDtl> SaRentBillCuzDtlDb { get { return Db.GetSimpleClient<SaRentBillCuzDtl>(); } }//用来处理SaRentBillCuzDtl表的常用操作
    public SimpleClient<SaRoomElement> SaRoomElementDb { get { return Db.GetSimpleClient<SaRoomElement>(); } }//用来处理SaRoomElement表的常用操作
    public SimpleClient<TechConstructDesign> TechConstructDesignDb { get { return Db.GetSimpleClient<TechConstructDesign>(); } }//用来处理TechConstructDesign表的常用操作
    public SimpleClient<pmInvoiceDtl> pmInvoiceDtlDb { get { return Db.GetSimpleClient<pmInvoiceDtl>(); } }//用来处理pmInvoiceDtl表的常用操作
    public SimpleClient<ContractAuditing> ContractAuditingDb { get { return Db.GetSimpleClient<ContractAuditing>(); } }//用来处理ContractAuditing表的常用操作
    public SimpleClient<pmFundPlanSummary> pmFundPlanSummaryDb { get { return Db.GetSimpleClient<pmFundPlanSummary>(); } }//用来处理pmFundPlanSummary表的常用操作
    public SimpleClient<Taking> TakingDb { get { return Db.GetSimpleClient<Taking>(); } }//用来处理Taking表的常用操作
    public SimpleClient<SMS_Rule> SMS_RuleDb { get { return Db.GetSimpleClient<SMS_Rule>(); } }//用来处理SMS_Rule表的常用操作
    public SimpleClient<UserLog> UserLogDb { get { return Db.GetSimpleClient<UserLog>(); } }//用来处理UserLog表的常用操作
    public SimpleClient<ControlInfo> ControlInfoDb { get { return Db.GetSimpleClient<ControlInfo>(); } }//用来处理ControlInfo表的常用操作
    public SimpleClient<SaKeMu> SaKeMuDb { get { return Db.GetSimpleClient<SaKeMu>(); } }//用来处理SaKeMu表的常用操作
    public SimpleClient<BiddingMessage> BiddingMessageDb { get { return Db.GetSimpleClient<BiddingMessage>(); } }//用来处理BiddingMessage表的常用操作
    public SimpleClient<MaterialBudgetRelation> MaterialBudgetRelationDb { get { return Db.GetSimpleClient<MaterialBudgetRelation>(); } }//用来处理MaterialBudgetRelation表的常用操作
    public SimpleClient<pmAppraisalFactor> pmAppraisalFactorDb { get { return Db.GetSimpleClient<pmAppraisalFactor>(); } }//用来处理pmAppraisalFactor表的常用操作
    public SimpleClient<SaRoomPriceCtrl> SaRoomPriceCtrlDb { get { return Db.GetSimpleClient<SaRoomPriceCtrl>(); } }//用来处理SaRoomPriceCtrl表的常用操作
    public SimpleClient<SaChannelClientReport> SaChannelClientReportDb { get { return Db.GetSimpleClient<SaChannelClientReport>(); } }//用来处理SaChannelClientReport表的常用操作
    public SimpleClient<SupplierAchievement> SupplierAchievementDb { get { return Db.GetSimpleClient<SupplierAchievement>(); } }//用来处理SupplierAchievement表的常用操作
    public SimpleClient<NewProductCost> NewProductCostDb { get { return Db.GetSimpleClient<NewProductCost>(); } }//用来处理NewProductCost表的常用操作
    public SimpleClient<pmPayoutInvoiceDtl> pmPayoutInvoiceDtlDb { get { return Db.GetSimpleClient<pmPayoutInvoiceDtl>(); } }//用来处理pmPayoutInvoiceDtl表的常用操作
    public SimpleClient<SystemGroupPre> SystemGroupPreDb { get { return Db.GetSimpleClient<SystemGroupPre>(); } }//用来处理SystemGroupPre表的常用操作
    public SimpleClient<FundPlan> FundPlanDb { get { return Db.GetSimpleClient<FundPlan>(); } }//用来处理FundPlan表的常用操作
    public SimpleClient<PeriodYear> PeriodYearDb { get { return Db.GetSimpleClient<PeriodYear>(); } }//用来处理PeriodYear表的常用操作
    public SimpleClient<SystemUser> SystemUserDb { get { return Db.GetSimpleClient<SystemUser>(); } }//用来处理SystemUser表的常用操作
    public SimpleClient<SaClientInvalid> SaClientInvalidDb { get { return Db.GetSimpleClient<SaClientInvalid>(); } }//用来处理SaClientInvalid表的常用操作
    public SimpleClient<HesuanBankAccount> HesuanBankAccountDb { get { return Db.GetSimpleClient<HesuanBankAccount>(); } }//用来处理HesuanBankAccount表的常用操作
    public SimpleClient<BiddingCancel> BiddingCancelDb { get { return Db.GetSimpleClient<BiddingCancel>(); } }//用来处理BiddingCancel表的常用操作
    public SimpleClient<WorkFlowProcedureDataPurview> WorkFlowProcedureDataPurviewDb { get { return Db.GetSimpleClient<WorkFlowProcedureDataPurview>(); } }//用来处理WorkFlowProcedureDataPurview表的常用操作
    public SimpleClient<SaEmptyRoomInspectDtl> SaEmptyRoomInspectDtlDb { get { return Db.GetSimpleClient<SaEmptyRoomInspectDtl>(); } }//用来处理SaEmptyRoomInspectDtl表的常用操作
    public SimpleClient<pmSupplierBlacklistRelease> pmSupplierBlacklistReleaseDb { get { return Db.GetSimpleClient<pmSupplierBlacklistRelease>(); } }//用来处理pmSupplierBlacklistRelease表的常用操作
    public SimpleClient<prCopyMeter> prCopyMeterDb { get { return Db.GetSimpleClient<prCopyMeter>(); } }//用来处理prCopyMeter表的常用操作
    public SimpleClient<TaxDeclareSale> TaxDeclareSaleDb { get { return Db.GetSimpleClient<TaxDeclareSale>(); } }//用来处理TaxDeclareSale表的常用操作
    public SimpleClient<pmPayoutDeductMoneyDeduct> pmPayoutDeductMoneyDeductDb { get { return Db.GetSimpleClient<pmPayoutDeductMoneyDeduct>(); } }//用来处理pmPayoutDeductMoneyDeduct表的常用操作
    public SimpleClient<SaMeterRoomHistory> SaMeterRoomHistoryDb { get { return Db.GetSimpleClient<SaMeterRoomHistory>(); } }//用来处理SaMeterRoomHistory表的常用操作
    public SimpleClient<pmSupplierCheckItem> pmSupplierCheckItemDb { get { return Db.GetSimpleClient<pmSupplierCheckItem>(); } }//用来处理pmSupplierCheckItem表的常用操作
    public SimpleClient<prStockOut> prStockOutDb { get { return Db.GetSimpleClient<prStockOut>(); } }//用来处理prStockOut表的常用操作
    public SimpleClient<SaMeterRB> SaMeterRBDb { get { return Db.GetSimpleClient<SaMeterRB>(); } }//用来处理SaMeterRB表的常用操作
    public SimpleClient<SaCompeteBDPreSale> SaCompeteBDPreSaleDb { get { return Db.GetSimpleClient<SaCompeteBDPreSale>(); } }//用来处理SaCompeteBDPreSale表的常用操作
    public SimpleClient<pmBiddingDepositReturn> pmBiddingDepositReturnDb { get { return Db.GetSimpleClient<pmBiddingDepositReturn>(); } }//用来处理pmBiddingDepositReturn表的常用操作
    public SimpleClient<prPayment> prPaymentDb { get { return Db.GetSimpleClient<prPayment>(); } }//用来处理prPayment表的常用操作
    public SimpleClient<SaRentControl> SaRentControlDb { get { return Db.GetSimpleClient<SaRentControl>(); } }//用来处理SaRentControl表的常用操作
    public SimpleClient<prGrowPeriod> prGrowPeriodDb { get { return Db.GetSimpleClient<prGrowPeriod>(); } }//用来处理prGrowPeriod表的常用操作
    public SimpleClient<pmSupplierType> pmSupplierTypeDb { get { return Db.GetSimpleClient<pmSupplierType>(); } }//用来处理pmSupplierType表的常用操作
    public SimpleClient<SupplierBank> SupplierBankDb { get { return Db.GetSimpleClient<SupplierBank>(); } }//用来处理SupplierBank表的常用操作
    public SimpleClient<BiddingDtlPlan> BiddingDtlPlanDb { get { return Db.GetSimpleClient<BiddingDtlPlan>(); } }//用来处理BiddingDtlPlan表的常用操作
    public SimpleClient<pmPayoutForPayDeduct> pmPayoutForPayDeductDb { get { return Db.GetSimpleClient<pmPayoutForPayDeduct>(); } }//用来处理pmPayoutForPayDeduct表的常用操作
    public SimpleClient<pmInvoice> pmInvoiceDb { get { return Db.GetSimpleClient<pmInvoice>(); } }//用来处理pmInvoice表的常用操作
    public SimpleClient<DocumentConfig> DocumentConfigDb { get { return Db.GetSimpleClient<DocumentConfig>(); } }//用来处理DocumentConfig表的常用操作
    public SimpleClient<SaHelpPayTypePre> SaHelpPayTypePreDb { get { return Db.GetSimpleClient<SaHelpPayTypePre>(); } }//用来处理SaHelpPayTypePre表的常用操作
    public SimpleClient<SaPaymentDtlLink> SaPaymentDtlLinkDb { get { return Db.GetSimpleClient<SaPaymentDtlLink>(); } }//用来处理SaPaymentDtlLink表的常用操作
    public SimpleClient<SaCompeteProject> SaCompeteProjectDb { get { return Db.GetSimpleClient<SaCompeteProject>(); } }//用来处理SaCompeteProject表的常用操作
    public SimpleClient<SaPrFitmentComplete> SaPrFitmentCompleteDb { get { return Db.GetSimpleClient<SaPrFitmentComplete>(); } }//用来处理SaPrFitmentComplete表的常用操作
    public SimpleClient<pmEstimatedChange> pmEstimatedChangeDb { get { return Db.GetSimpleClient<pmEstimatedChange>(); } }//用来处理pmEstimatedChange表的常用操作
    public SimpleClient<SaRentRoomPriceCtrl> SaRentRoomPriceCtrlDb { get { return Db.GetSimpleClient<SaRentRoomPriceCtrl>(); } }//用来处理SaRentRoomPriceCtrl表的常用操作
    public SimpleClient<WorkFlowMobileSend> WorkFlowMobileSendDb { get { return Db.GetSimpleClient<WorkFlowMobileSend>(); } }//用来处理WorkFlowMobileSend表的常用操作
    public SimpleClient<VoucherDetail> VoucherDetailDb { get { return Db.GetSimpleClient<VoucherDetail>(); } }//用来处理VoucherDetail表的常用操作
    public SimpleClient<DocumentType> DocumentTypeDb { get { return Db.GetSimpleClient<DocumentType>(); } }//用来处理DocumentType表的常用操作
    public SimpleClient<TempRoomOut> TempRoomOutDb { get { return Db.GetSimpleClient<TempRoomOut>(); } }//用来处理TempRoomOut表的常用操作
    public SimpleClient<SaEquipmentInspect> SaEquipmentInspectDb { get { return Db.GetSimpleClient<SaEquipmentInspect>(); } }//用来处理SaEquipmentInspect表的常用操作
    public SimpleClient<SafeQualityCheck> SafeQualityCheckDb { get { return Db.GetSimpleClient<SafeQualityCheck>(); } }//用来处理SafeQualityCheck表的常用操作
    public SimpleClient<pmProfitSolution> pmProfitSolutionDb { get { return Db.GetSimpleClient<pmProfitSolution>(); } }//用来处理pmProfitSolution表的常用操作
    public SimpleClient<SaRentVoucherDtl> SaRentVoucherDtlDb { get { return Db.GetSimpleClient<SaRentVoucherDtl>(); } }//用来处理SaRentVoucherDtl表的常用操作
    public SimpleClient<Favorite> FavoriteDb { get { return Db.GetSimpleClient<Favorite>(); } }//用来处理Favorite表的常用操作
    public SimpleClient<SaAdvertisingZY> SaAdvertisingZYDb { get { return Db.GetSimpleClient<SaAdvertisingZY>(); } }//用来处理SaAdvertisingZY表的常用操作
    public SimpleClient<SaPrFitmentCompleteDtl> SaPrFitmentCompleteDtlDb { get { return Db.GetSimpleClient<SaPrFitmentCompleteDtl>(); } }//用来处理SaPrFitmentCompleteDtl表的常用操作
    public SimpleClient<ProjectConfig> ProjectConfigDb { get { return Db.GetSimpleClient<ProjectConfig>(); } }//用来处理ProjectConfig表的常用操作
    public SimpleClient<ContractRelation> ContractRelationDb { get { return Db.GetSimpleClient<ContractRelation>(); } }//用来处理ContractRelation表的常用操作
    public SimpleClient<EncryptDate> EncryptDateDb { get { return Db.GetSimpleClient<EncryptDate>(); } }//用来处理EncryptDate表的常用操作
    public SimpleClient<pmServiceQualification> pmServiceQualificationDb { get { return Db.GetSimpleClient<pmServiceQualification>(); } }//用来处理pmServiceQualification表的常用操作
    public SimpleClient<prHourStandardType> prHourStandardTypeDb { get { return Db.GetSimpleClient<prHourStandardType>(); } }//用来处理prHourStandardType表的常用操作
    public SimpleClient<SaAfterSale> SaAfterSaleDb { get { return Db.GetSimpleClient<SaAfterSale>(); } }//用来处理SaAfterSale表的常用操作
    public SimpleClient<SaEquipmentInspectReviewDtl> SaEquipmentInspectReviewDtlDb { get { return Db.GetSimpleClient<SaEquipmentInspectReviewDtl>(); } }//用来处理SaEquipmentInspectReviewDtl表的常用操作
    public SimpleClient<ContractType> ContractTypeDb { get { return Db.GetSimpleClient<ContractType>(); } }//用来处理ContractType表的常用操作
    public SimpleClient<PurchaseFlowSelSupplyHistory> PurchaseFlowSelSupplyHistoryDb { get { return Db.GetSimpleClient<PurchaseFlowSelSupplyHistory>(); } }//用来处理PurchaseFlowSelSupplyHistory表的常用操作
    public SimpleClient<SaRePaymodeAttach> SaRePaymodeAttachDb { get { return Db.GetSimpleClient<SaRePaymodeAttach>(); } }//用来处理SaRePaymodeAttach表的常用操作
    public SimpleClient<TakingDetail> TakingDetailDb { get { return Db.GetSimpleClient<TakingDetail>(); } }//用来处理TakingDetail表的常用操作
    public SimpleClient<Vise_ViseMessage> Vise_ViseMessageDb { get { return Db.GetSimpleClient<Vise_ViseMessage>(); } }//用来处理Vise_ViseMessage表的常用操作
    public SimpleClient<SaSalePrice> SaSalePriceDb { get { return Db.GetSimpleClient<SaSalePrice>(); } }//用来处理SaSalePrice表的常用操作
    public SimpleClient<SaPrFitmentCompleteCheck> SaPrFitmentCompleteCheckDb { get { return Db.GetSimpleClient<SaPrFitmentCompleteCheck>(); } }//用来处理SaPrFitmentCompleteCheck表的常用操作
    public SimpleClient<prDevPartList> prDevPartListDb { get { return Db.GetSimpleClient<prDevPartList>(); } }//用来处理prDevPartList表的常用操作
    public SimpleClient<ContractQuantities> ContractQuantitiesDb { get { return Db.GetSimpleClient<ContractQuantities>(); } }//用来处理ContractQuantities表的常用操作
    public SimpleClient<pmSupplierBlacklist> pmSupplierBlacklistDb { get { return Db.GetSimpleClient<pmSupplierBlacklist>(); } }//用来处理pmSupplierBlacklist表的常用操作
    public SimpleClient<SupplierCampany> SupplierCampanyDb { get { return Db.GetSimpleClient<SupplierCampany>(); } }//用来处理SupplierCampany表的常用操作
    public SimpleClient<NewProductDesign> NewProductDesignDb { get { return Db.GetSimpleClient<NewProductDesign>(); } }//用来处理NewProductDesign表的常用操作
    public SimpleClient<SaEquipmentInspectDtl> SaEquipmentInspectDtlDb { get { return Db.GetSimpleClient<SaEquipmentInspectDtl>(); } }//用来处理SaEquipmentInspectDtl表的常用操作
    public SimpleClient<SaChannelUser> SaChannelUserDb { get { return Db.GetSimpleClient<SaChannelUser>(); } }//用来处理SaChannelUser表的常用操作
    public SimpleClient<pmMonthReportComment> pmMonthReportCommentDb { get { return Db.GetSimpleClient<pmMonthReportComment>(); } }//用来处理pmMonthReportComment表的常用操作
    public SimpleClient<SaRePaymodeDiscount> SaRePaymodeDiscountDb { get { return Db.GetSimpleClient<SaRePaymodeDiscount>(); } }//用来处理SaRePaymodeDiscount表的常用操作
    public SimpleClient<NCBaseData> NCBaseDataDb { get { return Db.GetSimpleClient<NCBaseData>(); } }//用来处理NCBaseData表的常用操作
    public SimpleClient<pmManagementFund> pmManagementFundDb { get { return Db.GetSimpleClient<pmManagementFund>(); } }//用来处理pmManagementFund表的常用操作
    public SimpleClient<PaymentAudit> PaymentAuditDb { get { return Db.GetSimpleClient<PaymentAudit>(); } }//用来处理PaymentAudit表的常用操作
    public SimpleClient<SaNewDynamicZY> SaNewDynamicZYDb { get { return Db.GetSimpleClient<SaNewDynamicZY>(); } }//用来处理SaNewDynamicZY表的常用操作
    public SimpleClient<SaPrFitmentCompleteCheckDtl> SaPrFitmentCompleteCheckDtlDb { get { return Db.GetSimpleClient<SaPrFitmentCompleteCheckDtl>(); } }//用来处理SaPrFitmentCompleteCheckDtl表的常用操作
    public SimpleClient<SaRentBillTemplatePre> SaRentBillTemplatePreDb { get { return Db.GetSimpleClient<SaRentBillTemplatePre>(); } }//用来处理SaRentBillTemplatePre表的常用操作
    public SimpleClient<ContractAllocation> ContractAllocationDb { get { return Db.GetSimpleClient<ContractAllocation>(); } }//用来处理ContractAllocation表的常用操作
    public SimpleClient<pmSupplierCheck> pmSupplierCheckDb { get { return Db.GetSimpleClient<pmSupplierCheck>(); } }//用来处理pmSupplierCheck表的常用操作
    public SimpleClient<DynamicTitleCost> DynamicTitleCostDb { get { return Db.GetSimpleClient<DynamicTitleCost>(); } }//用来处理DynamicTitleCost表的常用操作
    public SimpleClient<Account> AccountDb { get { return Db.GetSimpleClient<Account>(); } }//用来处理Account表的常用操作
    public SimpleClient<SaEquipmentInspectPeriod> SaEquipmentInspectPeriodDb { get { return Db.GetSimpleClient<SaEquipmentInspectPeriod>(); } }//用来处理SaEquipmentInspectPeriod表的常用操作
    public SimpleClient<SafeQualityCheckItem> SafeQualityCheckItemDb { get { return Db.GetSimpleClient<SafeQualityCheckItem>(); } }//用来处理SafeQualityCheckItem表的常用操作
    public SimpleClient<SaMeterHistoryDtl> SaMeterHistoryDtlDb { get { return Db.GetSimpleClient<SaMeterHistoryDtl>(); } }//用来处理SaMeterHistoryDtl表的常用操作
    public SimpleClient<SaRePaymodePlan> SaRePaymodePlanDb { get { return Db.GetSimpleClient<SaRePaymodePlan>(); } }//用来处理SaRePaymodePlan表的常用操作
    public SimpleClient<NCCustomer> NCCustomerDb { get { return Db.GetSimpleClient<NCCustomer>(); } }//用来处理NCCustomer表的常用操作
    public SimpleClient<JobDoneWorthFill> JobDoneWorthFillDb { get { return Db.GetSimpleClient<JobDoneWorthFill>(); } }//用来处理JobDoneWorthFill表的常用操作
    public SimpleClient<SaSalePromptDtWeek> SaSalePromptDtWeekDb { get { return Db.GetSimpleClient<SaSalePromptDtWeek>(); } }//用来处理SaSalePromptDtWeek表的常用操作
    public SimpleClient<SaAfterSalePre> SaAfterSalePreDb { get { return Db.GetSimpleClient<SaAfterSalePre>(); } }//用来处理SaAfterSalePre表的常用操作
    public SimpleClient<SaNewDynamic> SaNewDynamicDb { get { return Db.GetSimpleClient<SaNewDynamic>(); } }//用来处理SaNewDynamic表的常用操作
    public SimpleClient<RoleOperation> RoleOperationDb { get { return Db.GetSimpleClient<RoleOperation>(); } }//用来处理RoleOperation表的常用操作
    public SimpleClient<Supplier> SupplierDb { get { return Db.GetSimpleClient<Supplier>(); } }//用来处理Supplier表的常用操作
    public SimpleClient<ContractPayCondition> ContractPayConditionDb { get { return Db.GetSimpleClient<ContractPayCondition>(); } }//用来处理ContractPayCondition表的常用操作
    public SimpleClient<DesignChange> DesignChangeDb { get { return Db.GetSimpleClient<DesignChange>(); } }//用来处理DesignChange表的常用操作
    public SimpleClient<pmAppraisalReportDetailWorkFlow> pmAppraisalReportDetailWorkFlowDb { get { return Db.GetSimpleClient<pmAppraisalReportDetailWorkFlow>(); } }//用来处理pmAppraisalReportDetailWorkFlow表的常用操作
    public SimpleClient<SupplierType> SupplierTypeDb { get { return Db.GetSimpleClient<SupplierType>(); } }//用来处理SupplierType表的常用操作
    public SimpleClient<SaRentHelpPayInput> SaRentHelpPayInputDb { get { return Db.GetSimpleClient<SaRentHelpPayInput>(); } }//用来处理SaRentHelpPayInput表的常用操作
    public SimpleClient<FundPlanDtlMonth> FundPlanDtlMonthDb { get { return Db.GetSimpleClient<FundPlanDtlMonth>(); } }//用来处理FundPlanDtlMonth表的常用操作
    public SimpleClient<SaBuCha> SaBuChaDb { get { return Db.GetSimpleClient<SaBuCha>(); } }//用来处理SaBuCha表的常用操作
    public SimpleClient<SaRePaymodePayed> SaRePaymodePayedDb { get { return Db.GetSimpleClient<SaRePaymodePayed>(); } }//用来处理SaRePaymodePayed表的常用操作
    public SimpleClient<NCOrgCode> NCOrgCodeDb { get { return Db.GetSimpleClient<NCOrgCode>(); } }//用来处理NCOrgCode表的常用操作
    public SimpleClient<SaRentReceipt> SaRentReceiptDb { get { return Db.GetSimpleClient<SaRentReceipt>(); } }//用来处理SaRentReceipt表的常用操作
    public SimpleClient<prRoomProperty> prRoomPropertyDb { get { return Db.GetSimpleClient<prRoomProperty>(); } }//用来处理prRoomProperty表的常用操作
    public SimpleClient<FundPlanSet> FundPlanSetDb { get { return Db.GetSimpleClient<FundPlanSet>(); } }//用来处理FundPlanSet表的常用操作
    public SimpleClient<SaSalePriceZY> SaSalePriceZYDb { get { return Db.GetSimpleClient<SaSalePriceZY>(); } }//用来处理SaSalePriceZY表的常用操作
    public SimpleClient<Station> StationDb { get { return Db.GetSimpleClient<Station>(); } }//用来处理Station表的常用操作
    public SimpleClient<WorkFlowProcedureProperty> WorkFlowProcedurePropertyDb { get { return Db.GetSimpleClient<WorkFlowProcedureProperty>(); } }//用来处理WorkFlowProcedureProperty表的常用操作
    public SimpleClient<ContractProduction> ContractProductionDb { get { return Db.GetSimpleClient<ContractProduction>(); } }//用来处理ContractProduction表的常用操作
    public SimpleClient<SupplierMaterial> SupplierMaterialDb { get { return Db.GetSimpleClient<SupplierMaterial>(); } }//用来处理SupplierMaterial表的常用操作
    public SimpleClient<SaRentContractBussine> SaRentContractBussineDb { get { return Db.GetSimpleClient<SaRentContractBussine>(); } }//用来处理SaRentContractBussine表的常用操作
    public SimpleClient<SaRentHelpPayInputDtl> SaRentHelpPayInputDtlDb { get { return Db.GetSimpleClient<SaRentHelpPayInputDtl>(); } }//用来处理SaRentHelpPayInputDtl表的常用操作
    public SimpleClient<SaMeterType> SaMeterTypeDb { get { return Db.GetSimpleClient<SaMeterType>(); } }//用来处理SaMeterType表的常用操作
    public SimpleClient<ContractBill> ContractBillDb { get { return Db.GetSimpleClient<ContractBill>(); } }//用来处理ContractBill表的常用操作
    public SimpleClient<SaRePaymodeContract> SaRePaymodeContractDb { get { return Db.GetSimpleClient<SaRePaymodeContract>(); } }//用来处理SaRePaymodeContract表的常用操作
    public SimpleClient<NCPaymentInfo> NCPaymentInfoDb { get { return Db.GetSimpleClient<NCPaymentInfo>(); } }//用来处理NCPaymentInfo表的常用操作
    public SimpleClient<DesktopSetting> DesktopSettingDb { get { return Db.GetSimpleClient<DesktopSetting>(); } }//用来处理DesktopSetting表的常用操作
    public SimpleClient<SaRentHelpPayTypePre> SaRentHelpPayTypePreDb { get { return Db.GetSimpleClient<SaRentHelpPayTypePre>(); } }//用来处理SaRentHelpPayTypePre表的常用操作
    public SimpleClient<SupplierGradeType> SupplierGradeTypeDb { get { return Db.GetSimpleClient<SupplierGradeType>(); } }//用来处理SupplierGradeType表的常用操作
    public SimpleClient<PrReceiptVATDtl> PrReceiptVATDtlDb { get { return Db.GetSimpleClient<PrReceiptVATDtl>(); } }//用来处理PrReceiptVATDtl表的常用操作
    public SimpleClient<StationRole> StationRoleDb { get { return Db.GetSimpleClient<StationRole>(); } }//用来处理StationRole表的常用操作
    public SimpleClient<ProjectCost> ProjectCostDb { get { return Db.GetSimpleClient<ProjectCost>(); } }//用来处理ProjectCost表的常用操作
    public SimpleClient<pmSupplierChange> pmSupplierChangeDb { get { return Db.GetSimpleClient<pmSupplierChange>(); } }//用来处理pmSupplierChange表的常用操作
    public SimpleClient<SupplierSubjectSet> SupplierSubjectSetDb { get { return Db.GetSimpleClient<SupplierSubjectSet>(); } }//用来处理SupplierSubjectSet表的常用操作
    public SimpleClient<TempRoomStructure> TempRoomStructureDb { get { return Db.GetSimpleClient<TempRoomStructure>(); } }//用来处理TempRoomStructure表的常用操作
    public SimpleClient<PrRenCheck> PrRenCheckDb { get { return Db.GetSimpleClient<PrRenCheck>(); } }//用来处理PrRenCheck表的常用操作
    public SimpleClient<CostBudgetBackup> CostBudgetBackupDb { get { return Db.GetSimpleClient<CostBudgetBackup>(); } }//用来处理CostBudgetBackup表的常用操作
    public SimpleClient<SaPrExit> SaPrExitDb { get { return Db.GetSimpleClient<SaPrExit>(); } }//用来处理SaPrExit表的常用操作
    public SimpleClient<SaClientPersonal> SaClientPersonalDb { get { return Db.GetSimpleClient<SaClientPersonal>(); } }//用来处理SaClientPersonal表的常用操作
    public SimpleClient<NCPaymentNotice> NCPaymentNoticeDb { get { return Db.GetSimpleClient<NCPaymentNotice>(); } }//用来处理NCPaymentNotice表的常用操作
    public SimpleClient<SaYuqiOption> SaYuqiOptionDb { get { return Db.GetSimpleClient<SaYuqiOption>(); } }//用来处理SaYuqiOption表的常用操作
    public SimpleClient<prServiceBackVisit> prServiceBackVisitDb { get { return Db.GetSimpleClient<prServiceBackVisit>(); } }//用来处理prServiceBackVisit表的常用操作
    public SimpleClient<EmailHistory> EmailHistoryDb { get { return Db.GetSimpleClient<EmailHistory>(); } }//用来处理EmailHistory表的常用操作
    public SimpleClient<SaRegionExtra> SaRegionExtraDb { get { return Db.GetSimpleClient<SaRegionExtra>(); } }//用来处理SaRegionExtra表的常用操作
    public SimpleClient<PrClient> PrClientDb { get { return Db.GetSimpleClient<PrClient>(); } }//用来处理PrClient表的常用操作
    public SimpleClient<TaxDeclare> TaxDeclareDb { get { return Db.GetSimpleClient<TaxDeclare>(); } }//用来处理TaxDeclare表的常用操作
    public SimpleClient<RequisitionContract> RequisitionContractDb { get { return Db.GetSimpleClient<RequisitionContract>(); } }//用来处理RequisitionContract表的常用操作
    public SimpleClient<SupplierOpinion> SupplierOpinionDb { get { return Db.GetSimpleClient<SupplierOpinion>(); } }//用来处理SupplierOpinion表的常用操作
    public SimpleClient<NewProductDeveloper> NewProductDeveloperDb { get { return Db.GetSimpleClient<NewProductDeveloper>(); } }//用来处理NewProductDeveloper表的常用操作
    public SimpleClient<PrRenProject> PrRenProjectDb { get { return Db.GetSimpleClient<PrRenProject>(); } }//用来处理PrRenProject表的常用操作
    public SimpleClient<DictionaryNamePre> DictionaryNamePreDb { get { return Db.GetSimpleClient<DictionaryNamePre>(); } }//用来处理DictionaryNamePre表的常用操作
    public SimpleClient<SaBillExtra> SaBillExtraDb { get { return Db.GetSimpleClient<SaBillExtra>(); } }//用来处理SaBillExtra表的常用操作
    public SimpleClient<SaMemberPointCash> SaMemberPointCashDb { get { return Db.GetSimpleClient<SaMemberPointCash>(); } }//用来处理SaMemberPointCash表的常用操作
    public SimpleClient<NCSystemUser> NCSystemUserDb { get { return Db.GetSimpleClient<NCSystemUser>(); } }//用来处理NCSystemUser表的常用操作
    public SimpleClient<Task> TaskDb { get { return Db.GetSimpleClient<Task>(); } }//用来处理Task表的常用操作
    public SimpleClient<HeSuanSupply> HeSuanSupplyDb { get { return Db.GetSimpleClient<HeSuanSupply>(); } }//用来处理HeSuanSupply表的常用操作
    public SimpleClient<pmAppraisalReportWorkFlow> pmAppraisalReportWorkFlowDb { get { return Db.GetSimpleClient<pmAppraisalReportWorkFlow>(); } }//用来处理pmAppraisalReportWorkFlow表的常用操作
    public SimpleClient<SaPrOpen> SaPrOpenDb { get { return Db.GetSimpleClient<SaPrOpen>(); } }//用来处理SaPrOpen表的常用操作
    public SimpleClient<QualityPriceDtl> QualityPriceDtlDb { get { return Db.GetSimpleClient<QualityPriceDtl>(); } }//用来处理QualityPriceDtl表的常用操作
    public SimpleClient<PrRenovation> PrRenovationDb { get { return Db.GetSimpleClient<PrRenovation>(); } }//用来处理PrRenovation表的常用操作
    public SimpleClient<WorkFlowRole> WorkFlowRoleDb { get { return Db.GetSimpleClient<WorkFlowRole>(); } }//用来处理WorkFlowRole表的常用操作
    public SimpleClient<pmGuarantee> pmGuaranteeDb { get { return Db.GetSimpleClient<pmGuarantee>(); } }//用来处理pmGuarantee表的常用操作
    public SimpleClient<ContractCostChange> ContractCostChangeDb { get { return Db.GetSimpleClient<ContractCostChange>(); } }//用来处理ContractCostChange表的常用操作
    public SimpleClient<BiddingEmitTo> BiddingEmitToDb { get { return Db.GetSimpleClient<BiddingEmitTo>(); } }//用来处理BiddingEmitTo表的常用操作
    public SimpleClient<PrRenCheckDtl> PrRenCheckDtlDb { get { return Db.GetSimpleClient<PrRenCheckDtl>(); } }//用来处理PrRenCheckDtl表的常用操作
    public SimpleClient<SaMemeberPointCashDtl> SaMemeberPointCashDtlDb { get { return Db.GetSimpleClient<SaMemeberPointCashDtl>(); } }//用来处理SaMemeberPointCashDtl表的常用操作
    public SimpleClient<ContractChange> ContractChangeDb { get { return Db.GetSimpleClient<ContractChange>(); } }//用来处理ContractChange表的常用操作
    public SimpleClient<SaPhone> SaPhoneDb { get { return Db.GetSimpleClient<SaPhone>(); } }//用来处理SaPhone表的常用操作
    public SimpleClient<PeriodMonth> PeriodMonthDb { get { return Db.GetSimpleClient<PeriodMonth>(); } }//用来处理PeriodMonth表的常用操作
    public SimpleClient<SaPrBill> SaPrBillDb { get { return Db.GetSimpleClient<SaPrBill>(); } }//用来处理SaPrBill表的常用操作
    public SimpleClient<LandTaxFunction> LandTaxFunctionDb { get { return Db.GetSimpleClient<LandTaxFunction>(); } }//用来处理LandTaxFunction表的常用操作
    public SimpleClient<apWebServiceURL> apWebServiceURLDb { get { return Db.GetSimpleClient<apWebServiceURL>(); } }//用来处理apWebServiceURL表的常用操作
    public SimpleClient<pmCostBudgetSummaryDtl> pmCostBudgetSummaryDtlDb { get { return Db.GetSimpleClient<pmCostBudgetSummaryDtl>(); } }//用来处理pmCostBudgetSummaryDtl表的常用操作
    public SimpleClient<PrRenTeam> PrRenTeamDb { get { return Db.GetSimpleClient<PrRenTeam>(); } }//用来处理PrRenTeam表的常用操作
    public SimpleClient<SaSalePromptUser> SaSalePromptUserDb { get { return Db.GetSimpleClient<SaSalePromptUser>(); } }//用来处理SaSalePromptUser表的常用操作
    public SimpleClient<ContractCostPlan> ContractCostPlanDb { get { return Db.GetSimpleClient<ContractCostPlan>(); } }//用来处理ContractCostPlan表的常用操作
    public SimpleClient<LinkManage> LinkManageDb { get { return Db.GetSimpleClient<LinkManage>(); } }//用来处理LinkManage表的常用操作
    public SimpleClient<CostAllocationDtl> CostAllocationDtlDb { get { return Db.GetSimpleClient<CostAllocationDtl>(); } }//用来处理CostAllocationDtl表的常用操作
    public SimpleClient<ContractControlMaterial> ContractControlMaterialDb { get { return Db.GetSimpleClient<ContractControlMaterial>(); } }//用来处理ContractControlMaterial表的常用操作
    public SimpleClient<SaPrintTemplateTD> SaPrintTemplateTDDb { get { return Db.GetSimpleClient<SaPrintTemplateTD>(); } }//用来处理SaPrintTemplateTD表的常用操作
    public SimpleClient<SaMeterShare> SaMeterShareDb { get { return Db.GetSimpleClient<SaMeterShare>(); } }//用来处理SaMeterShare表的常用操作
    public SimpleClient<SaClientFirm> SaClientFirmDb { get { return Db.GetSimpleClient<SaClientFirm>(); } }//用来处理SaClientFirm表的常用操作
    public SimpleClient<SMS_UnitConfig> SMS_UnitConfigDb { get { return Db.GetSimpleClient<SMS_UnitConfig>(); } }//用来处理SMS_UnitConfig表的常用操作
    public SimpleClient<SupplierLinkman> SupplierLinkmanDb { get { return Db.GetSimpleClient<SupplierLinkman>(); } }//用来处理SupplierLinkman表的常用操作
    public SimpleClient<SystemGroupFunction> SystemGroupFunctionDb { get { return Db.GetSimpleClient<SystemGroupFunction>(); } }//用来处理SystemGroupFunction表的常用操作
    public SimpleClient<CostBudgetMonth> CostBudgetMonthDb { get { return Db.GetSimpleClient<CostBudgetMonth>(); } }//用来处理CostBudgetMonth表的常用操作
    public SimpleClient<PrRenApproach> PrRenApproachDb { get { return Db.GetSimpleClient<PrRenApproach>(); } }//用来处理PrRenApproach表的常用操作
    public SimpleClient<SaReceipt> SaReceiptDb { get { return Db.GetSimpleClient<SaReceipt>(); } }//用来处理SaReceipt表的常用操作
    public SimpleClient<pmDeposit> pmDepositDb { get { return Db.GetSimpleClient<pmDeposit>(); } }//用来处理pmDeposit表的常用操作
    public SimpleClient<apPushSet> apPushSetDb { get { return Db.GetSimpleClient<apPushSet>(); } }//用来处理apPushSet表的常用操作
    public SimpleClient<ContractMaterialCost> ContractMaterialCostDb { get { return Db.GetSimpleClient<ContractMaterialCost>(); } }//用来处理ContractMaterialCost表的常用操作
    public SimpleClient<pmMaterialStorage> pmMaterialStorageDb { get { return Db.GetSimpleClient<pmMaterialStorage>(); } }//用来处理pmMaterialStorage表的常用操作
    public SimpleClient<CostBudgetBackupDtl> CostBudgetBackupDtlDb { get { return Db.GetSimpleClient<CostBudgetBackupDtl>(); } }//用来处理CostBudgetBackupDtl表的常用操作
    public SimpleClient<Receiving> ReceivingDb { get { return Db.GetSimpleClient<Receiving>(); } }//用来处理Receiving表的常用操作
    public SimpleClient<SaClientRelation> SaClientRelationDb { get { return Db.GetSimpleClient<SaClientRelation>(); } }//用来处理SaClientRelation表的常用操作   
    public SimpleClient<SystemUserForYy> SystemUserForYyDb { get { return Db.GetSimpleClient<SystemUserForYy>(); } }//用来处理SystemUserForYy表的常用操作
    public SimpleClient<SystemGroupFunctionArea> SystemGroupFunctionAreaDb { get { return Db.GetSimpleClient<SystemGroupFunctionArea>(); } }//用来处理SystemGroupFunctionArea表的常用操作
    public SimpleClient<pmContractPlanRelation> pmContractPlanRelationDb { get { return Db.GetSimpleClient<pmContractPlanRelation>(); } }//用来处理pmContractPlanRelation表的常用操作
    public SimpleClient<PrRenApproachDtl> PrRenApproachDtlDb { get { return Db.GetSimpleClient<PrRenApproachDtl>(); } }//用来处理PrRenApproachDtl表的常用操作
    public SimpleClient<ProjectSubjectSet> ProjectSubjectSetDb { get { return Db.GetSimpleClient<ProjectSubjectSet>(); } }//用来处理ProjectSubjectSet表的常用操作
    public SimpleClient<ContractExecutePlan> ContractExecutePlanDb { get { return Db.GetSimpleClient<ContractExecutePlan>(); } }//用来处理ContractExecutePlan表的常用操作
    public SimpleClient<ConfigItemValue> ConfigItemValueDb { get { return Db.GetSimpleClient<ConfigItemValue>(); } }//用来处理ConfigItemValue表的常用操作
    public SimpleClient<LocaleViseCost> LocaleViseCostDb { get { return Db.GetSimpleClient<LocaleViseCost>(); } }//用来处理LocaleViseCost表的常用操作
    public SimpleClient<SMS_Holiday> SMS_HolidayDb { get { return Db.GetSimpleClient<SMS_Holiday>(); } }//用来处理SMS_Holiday表的常用操作
    public SimpleClient<MaterialBudget> MaterialBudgetDb { get { return Db.GetSimpleClient<MaterialBudget>(); } }//用来处理MaterialBudget表的常用操作
    public SimpleClient<CostBudgetBackupMonth> CostBudgetBackupMonthDb { get { return Db.GetSimpleClient<CostBudgetBackupMonth>(); } }//用来处理CostBudgetBackupMonth表的常用操作
    public SimpleClient<PBSTypePre> PBSTypePreDb { get { return Db.GetSimpleClient<PBSTypePre>(); } }//用来处理PBSTypePre表的常用操作
    public SimpleClient<pmPhaseHarvest> pmPhaseHarvestDb { get { return Db.GetSimpleClient<pmPhaseHarvest>(); } }//用来处理pmPhaseHarvest表的常用操作
    public SimpleClient<Investment> InvestmentDb { get { return Db.GetSimpleClient<Investment>(); } }//用来处理Investment表的常用操作
    public SimpleClient<PaymentCondition> PaymentConditionDb { get { return Db.GetSimpleClient<PaymentCondition>(); } }//用来处理PaymentCondition表的常用操作
    public SimpleClient<apDevice> apDeviceDb { get { return Db.GetSimpleClient<apDevice>(); } }//用来处理apDevice表的常用操作
    public SimpleClient<TemplateOpinion> TemplateOpinionDb { get { return Db.GetSimpleClient<TemplateOpinion>(); } }//用来处理TemplateOpinion表的常用操作
    public SimpleClient<SaSalePrompt> SaSalePromptDb { get { return Db.GetSimpleClient<SaSalePrompt>(); } }//用来处理SaSalePrompt表的常用操作
    public SimpleClient<SaRentContract> SaRentContractDb { get { return Db.GetSimpleClient<SaRentContract>(); } }//用来处理SaRentContract表的常用操作
    public SimpleClient<CBSPerson> CBSPersonDb { get { return Db.GetSimpleClient<CBSPerson>(); } }//用来处理CBSPerson表的常用操作
    public SimpleClient<ContractBidding> ContractBiddingDb { get { return Db.GetSimpleClient<ContractBidding>(); } }//用来处理ContractBidding表的常用操作
    public SimpleClient<AccountInnerCustomer> AccountInnerCustomerDb { get { return Db.GetSimpleClient<AccountInnerCustomer>(); } }//用来处理AccountInnerCustomer表的常用操作
    public SimpleClient<FundPlanDtl> FundPlanDtlDb { get { return Db.GetSimpleClient<FundPlanDtl>(); } }//用来处理FundPlanDtl表的常用操作
    public SimpleClient<SMS_Send> SMS_SendDb { get { return Db.GetSimpleClient<SMS_Send>(); } }//用来处理SMS_Send表的常用操作
    public SimpleClient<NewProductMaterial> NewProductMaterialDb { get { return Db.GetSimpleClient<NewProductMaterial>(); } }//用来处理NewProductMaterial表的常用操作
    public SimpleClient<MaterialBudgetDtl> MaterialBudgetDtlDb { get { return Db.GetSimpleClient<MaterialBudgetDtl>(); } }//用来处理MaterialBudgetDtl表的常用操作
    public SimpleClient<SaRentPayPlanBillExtra> SaRentPayPlanBillExtraDb { get { return Db.GetSimpleClient<SaRentPayPlanBillExtra>(); } }//用来处理SaRentPayPlanBillExtra表的常用操作
    public SimpleClient<SaProjectAccount> SaProjectAccountDb { get { return Db.GetSimpleClient<SaProjectAccount>(); } }//用来处理SaProjectAccount表的常用操作
    public SimpleClient<saDiscountProgram> saDiscountProgramDb { get { return Db.GetSimpleClient<saDiscountProgram>(); } }//用来处理saDiscountProgram表的常用操作
    public SimpleClient<pmMonthPlanDtl> pmMonthPlanDtlDb { get { return Db.GetSimpleClient<pmMonthPlanDtl>(); } }//用来处理pmMonthPlanDtl表的常用操作
    public SimpleClient<TaskAttention> TaskAttentionDb { get { return Db.GetSimpleClient<TaskAttention>(); } }//用来处理TaskAttention表的常用操作
    public SimpleClient<Bidding_SupplierDepartmentIdea> Bidding_SupplierDepartmentIdeaDb { get { return Db.GetSimpleClient<Bidding_SupplierDepartmentIdea>(); } }//用来处理Bidding_SupplierDepartmentIdea表的常用操作
    public SimpleClient<Enquiry> EnquiryDb { get { return Db.GetSimpleClient<Enquiry>(); } }//用来处理Enquiry表的常用操作
    public SimpleClient<SaSalePromptSupply> SaSalePromptSupplyDb { get { return Db.GetSimpleClient<SaSalePromptSupply>(); } }//用来处理SaSalePromptSupply表的常用操作
    public SimpleClient<SaRentGrowPeriodOther> SaRentGrowPeriodOtherDb { get { return Db.GetSimpleClient<SaRentGrowPeriodOther>(); } }//用来处理SaRentGrowPeriodOther表的常用操作
    public SimpleClient<WorkFlowRoleComprise> WorkFlowRoleCompriseDb { get { return Db.GetSimpleClient<WorkFlowRoleComprise>(); } }//用来处理WorkFlowRoleComprise表的常用操作
    public SimpleClient<ContractBiddingSupplier> ContractBiddingSupplierDb { get { return Db.GetSimpleClient<ContractBiddingSupplier>(); } }//用来处理ContractBiddingSupplier表的常用操作
    public SimpleClient<HeSuanInnerCustomer> HeSuanInnerCustomerDb { get { return Db.GetSimpleClient<HeSuanInnerCustomer>(); } }//用来处理HeSuanInnerCustomer表的常用操作
    public SimpleClient<SaRentBillTemplateDtlPre> SaRentBillTemplateDtlPreDb { get { return Db.GetSimpleClient<SaRentBillTemplateDtlPre>(); } }//用来处理SaRentBillTemplateDtlPre表的常用操作
    public SimpleClient<SaMemberRoomPointOption> SaMemberRoomPointOptionDb { get { return Db.GetSimpleClient<SaMemberRoomPointOption>(); } }//用来处理SaMemberRoomPointOption表的常用操作
    public SimpleClient<ContractMaterial> ContractMaterialDb { get { return Db.GetSimpleClient<ContractMaterial>(); } }//用来处理ContractMaterial表的常用操作
    public SimpleClient<SaVATRateSet> SaVATRateSetDb { get { return Db.GetSimpleClient<SaVATRateSet>(); } }//用来处理SaVATRateSet表的常用操作
    public SimpleClient<UFVersion> UFVersionDb { get { return Db.GetSimpleClient<UFVersion>(); } }//用来处理UFVersion表的常用操作
    public SimpleClient<SaRentPayPlan> SaRentPayPlanDb { get { return Db.GetSimpleClient<SaRentPayPlan>(); } }//用来处理SaRentPayPlan表的常用操作
    public SimpleClient<LocaleVise> LocaleViseDb { get { return Db.GetSimpleClient<LocaleVise>(); } }//用来处理LocaleVise表的常用操作
    public SimpleClient<SMS_UnitRule> SMS_UnitRuleDb { get { return Db.GetSimpleClient<SMS_UnitRule>(); } }//用来处理SMS_UnitRule表的常用操作
    public SimpleClient<prHourStandardPrice> prHourStandardPriceDb { get { return Db.GetSimpleClient<prHourStandardPrice>(); } }//用来处理prHourStandardPrice表的常用操作
    public SimpleClient<SaSalePromptDt> SaSalePromptDtDb { get { return Db.GetSimpleClient<SaSalePromptDt>(); } }//用来处理SaSalePromptDt表的常用操作
    public SimpleClient<SaRentFreePeriod> SaRentFreePeriodDb { get { return Db.GetSimpleClient<SaRentFreePeriod>(); } }//用来处理SaRentFreePeriod表的常用操作
    public SimpleClient<Purchase> PurchaseDb { get { return Db.GetSimpleClient<Purchase>(); } }//用来处理Purchase表的常用操作
    public SimpleClient<ContractBuilding> ContractBuildingDb { get { return Db.GetSimpleClient<ContractBuilding>(); } }//用来处理ContractBuilding表的常用操作
    public SimpleClient<prOutPayout> prOutPayoutDb { get { return Db.GetSimpleClient<prOutPayout>(); } }//用来处理prOutPayout表的常用操作
    public SimpleClient<BiddingFile> BiddingFileDb { get { return Db.GetSimpleClient<BiddingFile>(); } }//用来处理BiddingFile表的常用操作
    public SimpleClient<ArticleListDtl> ArticleListDtlDb { get { return Db.GetSimpleClient<ArticleListDtl>(); } }//用来处理ArticleListDtl表的常用操作
    public SimpleClient<pmBiddingContractLink> pmBiddingContractLinkDb { get { return Db.GetSimpleClient<pmBiddingContractLink>(); } }//用来处理pmBiddingContractLink表的常用操作
    public SimpleClient<TaxDeclareRelation> TaxDeclareRelationDb { get { return Db.GetSimpleClient<TaxDeclareRelation>(); } }//用来处理TaxDeclareRelation表的常用操作
    public SimpleClient<SaRentCarryOver> SaRentCarryOverDb { get { return Db.GetSimpleClient<SaRentCarryOver>(); } }//用来处理SaRentCarryOver表的常用操作
    public SimpleClient<pmDeductMoney> pmDeductMoneyDb { get { return Db.GetSimpleClient<pmDeductMoney>(); } }//用来处理pmDeductMoney表的常用操作
    public SimpleClient<Budget> BudgetDb { get { return Db.GetSimpleClient<Budget>(); } }//用来处理Budget表的常用操作
    public SimpleClient<SMS_SubAccount> SMS_SubAccountDb { get { return Db.GetSimpleClient<SMS_SubAccount>(); } }//用来处理SMS_SubAccount表的常用操作
    public SimpleClient<EnquiryDetail> EnquiryDetailDb { get { return Db.GetSimpleClient<EnquiryDetail>(); } }//用来处理EnquiryDetail表的常用操作
    public SimpleClient<SaLayoutYear> SaLayoutYearDb { get { return Db.GetSimpleClient<SaLayoutYear>(); } }//用来处理SaLayoutYear表的常用操作
    public SimpleClient<SaRentPressFor> SaRentPressForDb { get { return Db.GetSimpleClient<SaRentPressFor>(); } }//用来处理SaRentPressFor表的常用操作
    public SimpleClient<CBSTemplet> CBSTempletDb { get { return Db.GetSimpleClient<CBSTemplet>(); } }//用来处理CBSTemplet表的常用操作
    public SimpleClient<ContractOtherPay> ContractOtherPayDb { get { return Db.GetSimpleClient<ContractOtherPay>(); } }//用来处理ContractOtherPay表的常用操作
    public SimpleClient<prOutPayoutDtl> prOutPayoutDtlDb { get { return Db.GetSimpleClient<prOutPayoutDtl>(); } }//用来处理prOutPayoutDtl表的常用操作
    public SimpleClient<SaCompeteBuilding> SaCompeteBuildingDb { get { return Db.GetSimpleClient<SaCompeteBuilding>(); } }//用来处理SaCompeteBuilding表的常用操作
    public SimpleClient<MaterialContract> MaterialContractDb { get { return Db.GetSimpleClient<MaterialContract>(); } }//用来处理MaterialContract表的常用操作
    public SimpleClient<pmContractPlanCbs> pmContractPlanCbsDb { get { return Db.GetSimpleClient<pmContractPlanCbs>(); } }//用来处理pmContractPlanCbs表的常用操作
    public SimpleClient<SaContractChangeIndex> SaContractChangeIndexDb { get { return Db.GetSimpleClient<SaContractChangeIndex>(); } }//用来处理SaContractChangeIndex表的常用操作
    public SimpleClient<SaRentBillDerate> SaRentBillDerateDb { get { return Db.GetSimpleClient<SaRentBillDerate>(); } }//用来处理SaRentBillDerate表的常用操作
    public SimpleClient<SaRentChangeRoom> SaRentChangeRoomDb { get { return Db.GetSimpleClient<SaRentChangeRoom>(); } }//用来处理SaRentChangeRoom表的常用操作
    public SimpleClient<SaPrFitment> SaPrFitmentDb { get { return Db.GetSimpleClient<SaPrFitment>(); } }//用来处理SaPrFitment表的常用操作
    public SimpleClient<prDevTransform> prDevTransformDb { get { return Db.GetSimpleClient<prDevTransform>(); } }//用来处理prDevTransform表的常用操作
    public SimpleClient<pmMonthPlan> pmMonthPlanDb { get { return Db.GetSimpleClient<pmMonthPlan>(); } }//用来处理pmMonthPlan表的常用操作
    public SimpleClient<SaLayoutType> SaLayoutTypeDb { get { return Db.GetSimpleClient<SaLayoutType>(); } }//用来处理SaLayoutType表的常用操作
    public SimpleClient<SaRentContractClient> SaRentContractClientDb { get { return Db.GetSimpleClient<SaRentContractClient>(); } }//用来处理SaRentContractClient表的常用操作
    public SimpleClient<prDeviceList> prDeviceListDb { get { return Db.GetSimpleClient<prDeviceList>(); } }//用来处理prDeviceList表的常用操作
    public SimpleClient<SaCompeteBDPreSaleDtl> SaCompeteBDPreSaleDtlDb { get { return Db.GetSimpleClient<SaCompeteBDPreSaleDtl>(); } }//用来处理SaCompeteBDPreSaleDtl表的常用操作
    public SimpleClient<SaSalePromptUserDt> SaSalePromptUserDtDb { get { return Db.GetSimpleClient<SaSalePromptUserDt>(); } }//用来处理SaSalePromptUserDt表的常用操作
    public SimpleClient<Templet> TempletDb { get { return Db.GetSimpleClient<Templet>(); } }//用来处理Templet表的常用操作
    public SimpleClient<SaRentObjectRegion> SaRentObjectRegionDb { get { return Db.GetSimpleClient<SaRentObjectRegion>(); } }//用来处理SaRentObjectRegion表的常用操作
    public SimpleClient<CostBudgetBackupSet> CostBudgetBackupSetDb { get { return Db.GetSimpleClient<CostBudgetBackupSet>(); } }//用来处理CostBudgetBackupSet表的常用操作
    public SimpleClient<ReceivingDetail> ReceivingDetailDb { get { return Db.GetSimpleClient<ReceivingDetail>(); } }//用来处理ReceivingDetail表的常用操作
    public SimpleClient<SaPrTransferCheckItem> SaPrTransferCheckItemDb { get { return Db.GetSimpleClient<SaPrTransferCheckItem>(); } }//用来处理SaPrTransferCheckItem表的常用操作
    public SimpleClient<SaDiscountReportOption> SaDiscountReportOptionDb { get { return Db.GetSimpleClient<SaDiscountReportOption>(); } }//用来处理SaDiscountReportOption表的常用操作
    public SimpleClient<HeSuanProjectPm> HeSuanProjectPmDb { get { return Db.GetSimpleClient<HeSuanProjectPm>(); } }//用来处理HeSuanProjectPm表的常用操作
    public SimpleClient<SMS_Template> SMS_TemplateDb { get { return Db.GetSimpleClient<SMS_Template>(); } }//用来处理SMS_Template表的常用操作
    public SimpleClient<SaRentBill> SaRentBillDb { get { return Db.GetSimpleClient<SaRentBill>(); } }//用来处理SaRentBill表的常用操作
    public SimpleClient<SaRentRoomVirtualClient> SaRentRoomVirtualClientDb { get { return Db.GetSimpleClient<SaRentRoomVirtualClient>(); } }//用来处理SaRentRoomVirtualClient表的常用操作
    public SimpleClient<Payment> PaymentDb { get { return Db.GetSimpleClient<Payment>(); } }//用来处理Payment表的常用操作
    public SimpleClient<SaRentReRoom> SaRentReRoomDb { get { return Db.GetSimpleClient<SaRentReRoom>(); } }//用来处理SaRentReRoom表的常用操作
    public SimpleClient<WorkFlowRouter> WorkFlowRouterDb { get { return Db.GetSimpleClient<WorkFlowRouter>(); } }//用来处理WorkFlowRouter表的常用操作
    public SimpleClient<SaMarketPlanDtl> SaMarketPlanDtlDb { get { return Db.GetSimpleClient<SaMarketPlanDtl>(); } }//用来处理SaMarketPlanDtl表的常用操作
    public SimpleClient<SaRentChangeRoomObject> SaRentChangeRoomObjectDb { get { return Db.GetSimpleClient<SaRentChangeRoomObject>(); } }//用来处理SaRentChangeRoomObject表的常用操作
    public SimpleClient<SaReceiptDtl> SaReceiptDtlDb { get { return Db.GetSimpleClient<SaReceiptDtl>(); } }//用来处理SaReceiptDtl表的常用操作
    public SimpleClient<NewSkillDoc> NewSkillDocDb { get { return Db.GetSimpleClient<NewSkillDoc>(); } }//用来处理NewSkillDoc表的常用操作
    public SimpleClient<SaRentObject> SaRentObjectDb { get { return Db.GetSimpleClient<SaRentObject>(); } }//用来处理SaRentObject表的常用操作
    public SimpleClient<PrObjectRegion> PrObjectRegionDb { get { return Db.GetSimpleClient<PrObjectRegion>(); } }//用来处理PrObjectRegion表的常用操作
    public SimpleClient<SaMeterShareM> SaMeterShareMDb { get { return Db.GetSimpleClient<SaMeterShareM>(); } }//用来处理SaMeterShareM表的常用操作
    public SimpleClient<PrRenAmount> PrRenAmountDb { get { return Db.GetSimpleClient<PrRenAmount>(); } }//用来处理PrRenAmount表的常用操作
    public SimpleClient<FunctionStructure> FunctionStructureDb { get { return Db.GetSimpleClient<FunctionStructure>(); } }//用来处理FunctionStructure表的常用操作
    public SimpleClient<SaRentPumpSet> SaRentPumpSetDb { get { return Db.GetSimpleClient<SaRentPumpSet>(); } }//用来处理SaRentPumpSet表的常用操作
    public SimpleClient<WorkFlowMobileSendYy> WorkFlowMobileSendYyDb { get { return Db.GetSimpleClient<WorkFlowMobileSendYy>(); } }//用来处理WorkFlowMobileSendYy表的常用操作
    public SimpleClient<PaymentItem> PaymentItemDb { get { return Db.GetSimpleClient<PaymentItem>(); } }//用来处理PaymentItem表的常用操作
    public SimpleClient<SaRentReClient> SaRentReClientDb { get { return Db.GetSimpleClient<SaRentReClient>(); } }//用来处理SaRentReClient表的常用操作
    public SimpleClient<prPaymentDtl> prPaymentDtlDb { get { return Db.GetSimpleClient<prPaymentDtl>(); } }//用来处理prPaymentDtl表的常用操作
    public SimpleClient<SaRentReceiptVAT> SaRentReceiptVATDb { get { return Db.GetSimpleClient<SaRentReceiptVAT>(); } }//用来处理SaRentReceiptVAT表的常用操作
    public SimpleClient<PrPaymentDtlBillExtra> PrPaymentDtlBillExtraDb { get { return Db.GetSimpleClient<PrPaymentDtlBillExtra>(); } }//用来处理PrPaymentDtlBillExtra表的常用操作


    /// <summary>
    /// 获取所有
    /// </summary>
    /// <returns></returns>
    public virtual List<T> GetList()
    {
        return CurrentDb.GetList();
    }

    /// <summary>
    /// 根据表达式查询
    /// </summary>
    /// <returns></returns>
    public virtual List<T> GetList(Expression<Func<T, bool>> whereExpression)
    {
        return CurrentDb.GetList(whereExpression);
    }


    /// <summary>
    /// 根据表达式查询分页
    /// </summary>
    /// <returns></returns>
    public virtual List<T> GetPageList(Expression<Func<T, bool>> whereExpression, PageModel pageModel)
    {
        return CurrentDb.GetPageList(whereExpression, pageModel);
    }

    /// <summary>
    /// 根据表达式查询分页并排序
    /// </summary>
    /// <param name="whereExpression">it</param>
    /// <param name="pageModel"></param>
    /// <param name="orderByExpression">it=>it.id或者it=>new{it.id,it.name}</param>
    /// <param name="orderByType">OrderByType.Desc</param>
    /// <returns></returns>
    public virtual List<T> GetPageList(Expression<Func<T, bool>> whereExpression, PageModel pageModel, Expression<Func<T, object>> orderByExpression = null, OrderByType orderByType = OrderByType.Asc)
    {
        return CurrentDb.GetPageList(whereExpression, pageModel, orderByExpression, orderByType);
    }


    /// <summary>
    /// 根据主键查询
    /// </summary>
    /// <returns></returns>
    public virtual T GetById(dynamic id)
    {
        return CurrentDb.GetById(id);
    }

    /// <summary>
    /// 根据主键删除
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public virtual bool Delete(dynamic id)
    {
        return CurrentDb.Delete(id);
    }


    /// <summary>
    /// 根据实体删除
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public virtual bool Delete(T data)
    {
        return CurrentDb.Delete(data);
    }

    /// <summary>
    /// 根据主键删除
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public virtual bool Delete(dynamic[] ids)
    {
        return CurrentDb.AsDeleteable().In(ids).ExecuteCommand() > 0;
    }

    /// <summary>
    /// 根据表达式删除
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public virtual bool Delete(Expression<Func<T, bool>> whereExpression)
    {
        return CurrentDb.Delete(whereExpression);
    }


    /// <summary>
    /// 根据实体更新，实体需要有主键
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public virtual bool Update(T obj)
    {
        return CurrentDb.Update(obj);
    }

    /// <summary>
    ///批量更新
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public virtual bool Update(List<T> objs)
    {
        return CurrentDb.UpdateRange(objs);
    }

    /// <summary>
    /// 插入
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public virtual bool Insert(T obj)
    {
        return CurrentDb.Insert(obj);
    }


    /// <summary>
    /// 批量
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    public virtual bool Insert(List<T> objs)
    {
        return CurrentDb.InsertRange(objs);
    }


    //自已扩展更多方法 
}
