﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    public class SafeQualityCheckDTO
    {
        /// <summary>
        /// 主键
        /// Default:
        /// Nullable:False
        /// </summary>           

        public string CheckCode { get; set; }

        /// <summary>
        /// 检查类型  QualityCheck  SafeCheck
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CheckType { get; set; }

        /// <summary>
        /// Desc:工程名称
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ProjectName { get; set; }

        /// <summary>
        /// Desc:项目编号
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string ProjectCode { get; set; }


        /// <summary>
        /// Desc:审核日期
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? CheckDate
        {
            get; set;
        }
        /// <summary>
        /// 检查类型
        /// </summary>
        public string InspectType { get; set; }
        public string CheckDateStr
        {
            get
            {
                return CheckDate?.ToShortDateString();
            }
        }
        /// <summary>
        /// Desc:审核用户代码
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CheckUserCode { get; set; }

        /// <summary>
        /// Desc:状态  0：申请  1：审核中 2：审核通过
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int Status { get; set; }

        /// <summary>
        /// 状态名
        /// </summary>
        public string StatusName
        {
            get
            {
                var name = "";
                switch (Status)
                {
                    case 0:
                        name = "申请";
                        break;
                    case 1:
                        name = "审核中";
                        break;
                    case 2:
                        name = "审核通过";
                        break;
                }
                return name;
            }

        }

        /// <summary>
        /// Desc:流程审核日期
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? WorkFlowCheckDate { get; set; }

        /// <summary>
        /// Desc:审核编号
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CheckID { get; set; }

        /// <summary>
        /// Desc:审核意见
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CheckOpinion { get; set; }
    }
}
