﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WebAPIBase.Utils;

namespace Sugar.Enties
{
    /// <summary>
    /// 进度计划与进度工作项关联
    /// </summary>
    public class pmProgressDTO
    {
        /// <summary>
        /// 是否折叠
        /// </summary>
        public bool IsCollapse { get; set; }
        public string ProjectCode { get; set; }
        /// <summary>
        /// 进度计划ID
        /// </summary>
        public int ProgressId { get; set; }
        /// <summary>
        /// 进度计划名
        /// </summary>
        public string ProgressName { get; set; }
        /// <summary>
        /// 节点名
        /// </summary>
        public string NodeName { get; set; }
        /// <summary>
        /// 节点ID
        /// </summary>
        public int ProgressNodeId { get; set; }
        /// <summary>
        /// 是否主体进度 1：主体 2：专项
        /// </summary>
        public int IsMaster { get; set; }
        /// <summary>
        /// 是否集团关键节点
        /// </summary>
        public int IsCompanyKey { get; set; }
        /// <summary>
        /// 进度状态（0＝未开始；1＝进行中；4＝已完成）
        /// </summary>
        public int Status { get; set; }

        /// <summary>
        /// 阶段状态
        /// </summary>
        public int AlertState
        {
            get
            {
                int state = 1;
                var finish = Convert.ToDateTime(plannedFinishDate);
                if (Convert.ToDateTime(plannedFinishDate) < DateTime.Now)  //未按期完成
                {
                    if (CompletePercent < 100)
                    {
                        state = 3;
                    }
                    else
                    {
                        state = 1;
                    }

                }
                else if (finish > DateTime.Now && finish.AddDays(3) > DateTime.Now)  //预警
                {
                    if (CompletePercent < 100)
                    {
                        state = 2;
                    }
                    else
                    {
                        state = 1;
                    }
                }
                return state;
            }
        }
        /// <summary>
        /// 计划工期
        /// </summary>
        public int Duration
        {
            get;
            set;
        }

        /// <summary>
        /// 完成度
        /// </summary>
        public int CompletePercent { get; set; }
        private string _PlannedStartDate;
        /// <summary>
        /// 计划开始时间
        /// </summary>
        public string PlannedStartDate
        {
            get
            {
                if (_PlannedStartDate == null)
                {
                    return null;
                }
                var arr = _PlannedStartDate.Split(' ');
                return arr[0];
            }
            set
            {
                _PlannedStartDate = value;
            }
        }
        private string _plannedFinishDate;
        /// <summary>
        /// 计划结束时间
        /// </summary>
        public string plannedFinishDate
        {
            get
            {
                if (_plannedFinishDate == null)
                {
                    return null;
                }
                var arr = _plannedFinishDate.Split(' ');
                return arr[0];
            }
            set
            {
                _plannedFinishDate = value;
            }
        }
        private string _ActualStartDate;
        /// <summary>
        /// 实际开始时间
        /// </summary>
        public string ActualStartDate
        {
            get
            {
                return _ActualStartDate?.Substring(0, 10);
            }
            set
            {
                _ActualStartDate = value;
            }
        }
        private string _ActualFinishDate;
        /// <summary>
        /// 实际结束时间
        /// </summary>
        public string ActualFinishDate
        {
            get
            {
                return _ActualFinishDate?.Substring(0, 10);
            }
            set
            {
                _ActualFinishDate = value;
            }
        }
        /// <summary>
        /// 进度报告
        /// </summary>
        public List<pmProgressReport> ReportList { get; set; }
    }

    public class ProgressDTO
    {
        /// <summary>
        /// 是否折叠
        /// </summary>
        public bool IsCollapse { get; set; }
        public int ProgressId { get; set; }
        public string ProgressName { get; set; }
        public List<pmProgressDTO> ProgressList { get; set; }
    }
}
