﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///目标费用
    ///</summary>
    [SugarTable("CostBudget")]
    public partial class CostBudget
    {
           public CostBudget(){


           }
           /// <summary>
           /// Desc:目标费用表编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string CostBudgetCode {get;set;}

           /// <summary>
           /// Desc:项目编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ProjectCode {get;set;}

           /// <summary>
           /// Desc:预算设置表编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostBudgetSetCode {get;set;}

           /// <summary>
           /// Desc:状态 0＝申请；1＝当前；2＝历史；3＝调整
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? Status {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CreatePerson {get;set;}

           /// <summary>
           /// Desc:创建日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CreateDate {get;set;}

           /// <summary>
           /// Desc:最后修改人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ModifyPerson {get;set;}

           /// <summary>
           /// Desc:最后修改日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? ModifyDate {get;set;}

           /// <summary>
           /// Desc:审核人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CheckPerson {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CheckDate {get;set;}

           /// <summary>
           /// Desc:0版本目标费用表编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string FirstCostBudgetCode {get;set;}

           /// <summary>
           /// Desc:版本号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? VerID {get;set;}

           /// <summary>
           /// Desc:是否目标费用表 1＝目标费用表
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? TargetFlag {get;set;}

           /// <summary>
           /// Desc:描述
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Description {get;set;}

           /// <summary>
           /// Desc:预算总额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? TotalBudgetMoney {get;set;}

           /// <summary>
           /// Desc:目标费用表版本名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostBudgetName {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CheckOpinion {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public decimal TotalAllowTax {get;set;}

    }
}
