﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///预算设置
    ///</summary>
    [SugarTable("CostBudgetSet")]
    public partial class CostBudgetSet
    {
           public CostBudgetSet(){


           }
           /// <summary>
           /// Desc:预算设置表编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public string CostBudgetSetCode {get;set;}

           /// <summary>
           /// Desc:预算表名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostBudgetSetName {get;set;}

           /// <summary>
           /// Desc:项目编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ProjectCode {get;set;}

           /// <summary>
           /// Desc:部门编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string UnitCode {get;set;}

           /// <summary>
           /// Desc:预算类型编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string GroupCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostCode {get;set;}

           /// <summary>
           /// Desc:单位工程类型 P=项目；B=楼栋
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PBSType {get;set;}

           /// <summary>
           /// Desc:单位工程编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PBSCode {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CreatePerson {get;set;}

           /// <summary>
           /// Desc:创建日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CreateDate {get;set;}

           /// <summary>
           /// Desc:最后修改人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ModifyPerson {get;set;}

           /// <summary>
           /// Desc:最后修改日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? ModifyDate {get;set;}

           /// <summary>
           /// Desc:描述
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Description {get;set;}

           /// <summary>
           /// Desc:建筑面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? BuildingArea {get;set;}

           /// <summary>
           /// Desc:户数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? HouseCount {get;set;}

           /// <summary>
           /// Desc:设置类型
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string SetType {get;set;}

           /// <summary>
           /// Desc:产品类型编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PBSTypeCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string sltRule {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int Status {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int BudgetStage {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostPBSType {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostPBSCode {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int IsCreatedByPBSType {get;set;}

    }
}
