﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("FundPlan")]
    public partial class FundPlan
    {
           public FundPlan(){


           }
           /// <summary>
           /// Desc:资金计划表主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public int FundPlanCode {get;set;}

           /// <summary>
           /// Desc:期间设置明细主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? FundPlanSetDetailCode {get;set;}

           /// <summary>
           /// Desc:项目主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ProjectCode {get;set;}

           /// <summary>
           /// Desc:部门主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string UnitCode {get;set;}

           /// <summary>
           /// Desc:预算表主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CostBudgetSetCode {get;set;}

           /// <summary>
           /// Desc:0=申请或调整；1=财务已审；2=当前；3=历史
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? Status {get;set;}

           /// <summary>
           /// Desc:版本号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public int? VerID {get;set;}

           /// <summary>
           /// Desc:申请人主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ApplyPerson {get;set;}

           /// <summary>
           /// Desc:申请日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? ApplyDate {get;set;}

           /// <summary>
           /// Desc:财务审核人主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string FinancePerson {get;set;}

           /// <summary>
           /// Desc:财务审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? FinanceDate {get;set;}

           /// <summary>
           /// Desc:审批人主键
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CheckPerson {get;set;}

           /// <summary>
           /// Desc:审批日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CheckDate {get;set;}

           /// <summary>
           /// Desc:计划总额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? TotalApplyMoney {get;set;}

           /// <summary>
           /// Desc:财务审核总额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? TotalFinanceMoney {get;set;}

           /// <summary>
           /// Desc:审批总额
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? TotalCheckMoney {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? CostTotalApplyMoney {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? CostTotalFinanceMoney {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? CostTotalCheckMoney {get;set;}

           /// <summary>
           /// Desc:
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int PlanYear {get;set;}

    }
}
