﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("SaIntent")]
    public partial class SaIntent
    {
           public SaIntent(){


           }
           /// <summary>
           /// Desc:排号表内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int iID {get;set;}

           /// <summary>
           /// Desc:客户内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int clientID {get;set;}

           /// <summary>
           /// Desc:房间内码
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int roomID {get;set;}

           /// <summary>
           /// Desc:项目内码（冗余字段）
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int projectID {get;set;}

           /// <summary>
           /// Desc:登记单号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string iCode {get;set;}

           /// <summary>
           /// Desc:排位号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int iNumber {get;set;}

           /// <summary>
           /// Desc:状态（待审，审批中，已审，已退，已转，作废）
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int State {get;set;}

           /// <summary>
           /// Desc:单据日期（登记日期）
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? BillDate {get;set;}

           /// <summary>
           /// Desc:登记备注
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string iRemark {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? AuditDate {get;set;}

           /// <summary>
           /// Desc:退单申请日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CancelDate {get;set;}

           /// <summary>
           /// Desc:退单申请原因
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string iReturnReason {get;set;}

           /// <summary>
           /// Desc:退单审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CancelAuditDate {get;set;}

           /// <summary>
           /// Desc:单据转换日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? TransferDate {get;set;}

           /// <summary>
           /// Desc:单据转换类型
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int TransferType {get;set;}

           /// <summary>
           /// Desc:转换业务ID
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string TransferToId {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string iBarCode {get;set;}

    }
}
