﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Sugar.Enties
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("prOperateContract")]
    public partial class prOperateContract
    {
           public prOperateContract(){


           }
           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true)]
           public int OCId {get;set;}

           /// <summary>
           /// Desc:物业管理处
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ManagementId {get;set;}

           /// <summary>
           /// Desc:合同类型
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ContractType {get;set;}

           /// <summary>
           /// Desc:合同编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ContractNum {get;set;}

           /// <summary>
           /// Desc:合同名称
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string ContractName {get;set;}

           /// <summary>
           /// Desc:合同日期
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime ContractDate {get;set;}

           /// <summary>
           /// Desc:客户主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int ClientId {get;set;}

           /// <summary>
           /// Desc:出租单价
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? RentPrice {get;set;}

           /// <summary>
           /// Desc:出租面积
           /// Default:
           /// Nullable:True
           /// </summary>           
           public decimal? RentArea {get;set;}

           /// <summary>
           /// Desc:出租价格单位
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string PriceUnit {get;set;}

           /// <summary>
           /// Desc:币种
           /// Default:
           /// Nullable:False
           /// </summary>           
           public string MoneyType {get;set;}

           /// <summary>
           /// Desc:汇率
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal ExchangeRate {get;set;}

           /// <summary>
           /// Desc:外币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal TotalCashMoney {get;set;}

           /// <summary>
           /// Desc:本币金额
           /// Default:
           /// Nullable:False
           /// </summary>           
           public decimal TotalCurrencyMoney {get;set;}

           /// <summary>
           /// Desc:租期开始时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime RentStartDate {get;set;}

           /// <summary>
           /// Desc:租期结束时间
           /// Default:
           /// Nullable:False
           /// </summary>           
           public DateTime RentEndDate {get;set;}

           /// <summary>
           /// Desc:费用起算日，如26号签的合同，费用起算日是1号，那么第二笔付款从1号开始
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? FirstPayDate {get;set;}

           /// <summary>
           /// Desc:租赁每年计算天数
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int RentYearDay {get;set;}

           /// <summary>
           /// Desc:付款方式
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int PayMode {get;set;}

           /// <summary>
           /// Desc:是否分销代理，0-否，1-是
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int RentType {get;set;}

           /// <summary>
           /// Desc:中介名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string AgencyName {get;set;}

           /// <summary>
           /// Desc:分成比例
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string ShareRate {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string Remark {get;set;}

           /// <summary>
           /// Desc:状态
           /// Default:0
           /// Nullable:False
           /// </summary>           
           public int Status {get;set;}

           /// <summary>
           /// Desc:创建人编号
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string CreatePersonCode {get;set;}

           /// <summary>
           /// Desc:创建日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? CreateDate {get;set;}

           /// <summary>
           /// Desc:审核人
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string AuditPersonCode {get;set;}

           /// <summary>
           /// Desc:审核日期
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? AuditDate {get;set;}

           /// <summary>
           /// Desc:时间戳
           /// Default:
           /// Nullable:False
           /// </summary>           
           public byte[] TimeStamp {get;set;}

           /// <summary>
           /// Desc:
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? FinishDate {get;set;}

    }
}
