﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    /// <summary>
    /// 模块状态
    /// </summary>
    public enum ModuleState
    {
        /// <summary>
        /// 未知
        /// </summary>
        Unbeknown = 0,
        /// <summary>
        /// 可见的
        /// </summary>
        Eyeable = 1,
        /// <summary>
        /// 可操作的，审核意见框没有待选择项 
        /// </summary>
        Operable = 2,
        /// <summary>
        /// 不可见的
        /// </summary>
        Sightless = 3,
        /// <summary>
        /// 其它的
        /// </summary>
        Other = 4,
        /// <summary>
        /// 条件控制
        /// </summary>
        Condition = 5,
        /// <summary>
        /// 等待签收（流程生成）
        /// </summary>
        Begin = 6,
        /// <summary>
        /// 已经完成（流程生成）
        /// </summary>
        End = 7,
        /// <summary>
        /// 可操作，也可选择待选择
        /// </summary>
        NotMustOperable = 8,
        /// <summary>
        /// 可操作，不可选择待选择
        /// </summary>
        MustOperable = 9
    }
}
