using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.IdentityModel.Tokens;
using System;
using System.IdentityModel.Tokens.Jwt;
using System.Security.Claims;
using System.Security.Principal;
using WebAPIBase.Utils;
using WebAPIBase.Utils.Jwt;

namespace WebAPIBase.API.Controllers
{
    [Produces("application/json")]
    [Route("api/Token")]
    public class TokenController : Controller
    {
        /// <summary>
        /// ƻȡ֤
        /// </summary>
        private readonly ITokenHelper tokenHelper = null;
        public TokenController(ITokenHelper _tokenHelper)
        {
            tokenHelper = _tokenHelper;
        }
        /// <summary>
        /// ֤Token
        /// </summary>
        /// <param name="tokenStr">token</param>
        /// <returns></returns>
        [HttpGet]
        [Route("ValiToken")]
        public ApiResponse ValiToken(string tokenStr)
        {
            var ret = new ApiResponse
            {
                TnToken = new TnToken()
            };
            bool isvilidate = tokenHelper.ValiToken(tokenStr);
            if (isvilidate)
            {
                ret.IsSuccess = true;
                ret.Code = 200;
                ret.ErrMsg = "Token֤ɹ";
                ret.TnToken.TokenStr = tokenStr;
            }
            else
            {
                ret.IsSuccess = false;
                ret.Code = 500;
                ret.ErrMsg = "Token֤ʧ";
                ret.TnToken.TokenStr = tokenStr;
            }
            return ret;
        }
        /// <summary>
        /// ֤Token ״̬
        /// </summary>
        /// <param name="tokenStr"></param>
        /// <returns></returns>
        [HttpGet]
        [Route("ValiTokenState")]
        public ApiResponse ValiTokenState(string tokenStr)
        {
            var ret = new ApiResponse
            {
                TnToken = new TnToken()
            };
            string UserID = "";
            TokenType tokenType = tokenHelper.ValiTokenState(tokenStr, a => a["iss"] == "lutao" && a["aud"] == "haodegongchengyun", action => { UserID = action["UserID"]; });
            if (tokenType == TokenType.Fail)
            {
                ret.IsSuccess = false;
                ret.Code = 202;
                ret.ErrMsg = "token֤ʧ";
                return ret;
            }
            if (tokenType == TokenType.Expired)
            {
                ret.IsSuccess = false;
                ret.Code = 205;
                ret.ErrMsg = "tokenѾ";
                return ret;
            }

            ret.IsSuccess = true;
            ret.Code = 200;
            ret.ErrMsg = "ʳɹ!";            
            return ret;
        }
    }
}